when --without-<foo> is passed to the configure script, explicitly inform menuselect...
[asterisk/asterisk.git] / configure
index 22449fc..3e1b904 100755 (executable)
--- a/configure
+++ b/configure
@@ -1,5 +1,5 @@
 #! /bin/sh
-# From configure.ac Revision: 145771 .
+# From configure.ac Revision: 153709 .
 # Guess values for system-dependent variables and create Makefiles.
 # Generated by GNU Autoconf 2.61 for asterisk 1.6.
 #
@@ -712,6 +712,7 @@ DOT
 WGET
 RUBBER
 KPATHSEA
+XMLSTARLET
 FETCH
 DOWNLOAD
 SOXMIX
@@ -784,6 +785,10 @@ IMAP_TK_LIB
 IMAP_TK_INCLUDE
 IMAP_TK_DIR
 PBX_IMAP_TK
+IODBC_LIB
+IODBC_INCLUDE
+IODBC_DIR
+PBX_IODBC
 ISDNNET_LIB
 ISDNNET_INCLUDE
 ISDNNET_DIR
@@ -796,6 +801,10 @@ LDAP_LIB
 LDAP_INCLUDE
 LDAP_DIR
 PBX_LDAP
+LIBXML2_LIB
+LIBXML2_INCLUDE
+LIBXML2_DIR
+PBX_LIBXML2
 LTDL_LIB
 LTDL_INCLUDE
 LTDL_DIR
@@ -824,10 +833,6 @@ NEWT_LIB
 NEWT_INCLUDE
 NEWT_DIR
 PBX_NEWT
-UNIXODBC_LIB
-UNIXODBC_INCLUDE
-UNIXODBC_DIR
-PBX_UNIXODBC
 OGG_LIB
 OGG_INCLUDE
 OGG_DIR
@@ -932,6 +937,10 @@ TONEZONE_LIB
 TONEZONE_INCLUDE
 TONEZONE_DIR
 PBX_TONEZONE
+UNIXODBC_LIB
+UNIXODBC_INCLUDE
+UNIXODBC_DIR
+PBX_UNIXODBC
 USB_LIB
 USB_INCLUDE
 USB_DIR
@@ -966,9 +975,11 @@ AST_SHADOW_WARNINGS
 PBX_RTLD_NOLOAD
 PBX_IP_MTU_DISCOVER
 GSM_INTERNAL
+CONFIG_LIBXML2
 PBX_MISDN_FAC_RESULT
 PBX_MISDN_FAC_ERROR
 CONFIG_NETSNMP
+PBX_ODBC
 PG_CONFIG
 PTLIB_CONFIG
 PWLIBDIR
@@ -1584,6 +1595,7 @@ Optional Features:
   --enable-dev-mode       Turn on developer mode
   --disable-largefile     omit support for large files
   --enable-internal-poll  Use Asterisk's poll implementation
+  --disable-xmldoc        Explicity disable XML documentation
 
 Optional Packages:
   --with-PACKAGE[=ARG]    use PACKAGE [ARG=yes]
@@ -1606,9 +1618,11 @@ Optional Packages:
   --with-iconv=PATH       use Iconv Library files in PATH
   --with-iksemel=PATH     use Iksemel Jabber Library files in PATH
   --with-imap=PATH        use UW IMAP Toolkit files in PATH
+  --with-iodbc=PATH       use iODBC files in PATH
   --with-isdnnet=PATH     use ISDN4Linux Library files in PATH
   --with-jack=PATH        use Jack Audio Connection Kit files in PATH
   --with-ldap=PATH        use OpenLDAP files in PATH
+  --with-libxml2=PATH     use LibXML2 files in PATH
   --with-ltdl=PATH        use libtool files in PATH
   --with-lua=PATH         use Lua files in PATH
   --with-misdn=PATH       use mISDN User Library files in PATH
@@ -1616,7 +1630,6 @@ Optional Packages:
   --with-ncurses=PATH     use ncurses files in PATH
   --with-netsnmp=PATH     use Net-SNMP files in PATH
   --with-newt=PATH        use newt files in PATH
-  --with-odbc=PATH        use unixODBC files in PATH
   --with-ogg=PATH         use OGG files in PATH
   --with-osptk=PATH       use OSP Toolkit files in PATH
   --with-oss=PATH         use Open Sound System files in PATH
@@ -1644,6 +1657,7 @@ Optional Packages:
   --with-termcap=PATH     use Termcap files in PATH
   --with-tinfo=PATH       use Term Info files in PATH
   --with-tonezone=PATH    use tonezone files in PATH
+  --with-unixodbc=PATH    use unixODBC files in PATH
   --with-usb=PATH         use usb files in PATH
   --with-vorbis=PATH      use Vorbis files in PATH
   --with-vpb=PATH         use Voicetronix API files in PATH
@@ -4052,7 +4066,19 @@ case "${host_os}" in
      CPPFLAGS=-I/usr/local/include
      LDFLAGS=-L/usr/local/lib
      ;;
-
+     openbsd*)
+     ac_default_prefix=/usr/local
+     if test ${prefix} = '/usr/local' || test ${prefix} = 'NONE'; then
+        if test ${sysconfdir} = '${prefix}/etc'; then
+           sysconfdir=/etc
+        fi
+        if test ${mandir} = '${prefix}/man'; then
+           mandir=/usr/share/man
+        fi
+     fi
+     CPPFLAGS=-I/usr/local/include
+     LDFLAGS=-L/usr/local/lib
+     ;;
      *)
      ac_default_prefix=/usr
      if test ${prefix} = '/usr' || test ${prefix} = 'NONE'; then
@@ -7291,6 +7317,47 @@ echo "${ECHO_T}no" >&6; }
 fi
 
 
+# Extract the first word of "xmlstarlet", so it can be a program name with args.
+set dummy xmlstarlet; ac_word=$2
+{ echo "$as_me:$LINENO: checking for $ac_word" >&5
+echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6; }
+if test "${ac_cv_path_XMLSTARLET+set}" = set; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+  case $XMLSTARLET in
+  [\\/]* | ?:[\\/]*)
+  ac_cv_path_XMLSTARLET="$XMLSTARLET" # Let the user override the test with a path.
+  ;;
+  *)
+  as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
+for as_dir in $PATH
+do
+  IFS=$as_save_IFS
+  test -z "$as_dir" && as_dir=.
+  for ac_exec_ext in '' $ac_executable_extensions; do
+  if { test -f "$as_dir/$ac_word$ac_exec_ext" && $as_test_x "$as_dir/$ac_word$ac_exec_ext"; }; then
+    ac_cv_path_XMLSTARLET="$as_dir/$ac_word$ac_exec_ext"
+    echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
+    break 2
+  fi
+done
+done
+IFS=$as_save_IFS
+
+  test -z "$ac_cv_path_XMLSTARLET" && ac_cv_path_XMLSTARLET=":"
+  ;;
+esac
+fi
+XMLSTARLET=$ac_cv_path_XMLSTARLET
+if test -n "$XMLSTARLET"; then
+  { echo "$as_me:$LINENO: result: $XMLSTARLET" >&5
+echo "${ECHO_T}$XMLSTARLET" >&6; }
+else
+  { echo "$as_me:$LINENO: result: no" >&5
+echo "${ECHO_T}no" >&6; }
+fi
+
+
 if test "${WGET}" != ":" ; then
   DOWNLOAD=${WGET}
 else
@@ -7906,6 +7973,7 @@ fi
 
     ALSA_DESCRIP="Advanced Linux Sound Architecture"
     ALSA_OPTION="asound"
+    PBX_ALSA=0
 
 # Check whether --with-asound was given.
 if test "${with_asound+set}" = set; then
@@ -7913,6 +7981,9 @@ if test "${with_asound+set}" = set; then
        case ${withval} in
        n|no)
        USE_ALSA=no
+       # -1 is a magic value used by menuselect to know that the package
+       # was disabled, other than 'not found'
+       PBX_ALSA=-1
        ;;
        y|ye|yes)
        ac_mandatory_list="${ac_mandatory_list} ALSA"
@@ -7925,7 +7996,6 @@ if test "${with_asound+set}" = set; then
 
 fi
 
-    PBX_ALSA=0
 
 
 
@@ -7937,6 +8007,7 @@ fi
 
     BKTR_DESCRIP="Stack Backtrace support"
     BKTR_OPTION="execinfo"
+    PBX_BKTR=0
 
 # Check whether --with-execinfo was given.
 if test "${with_execinfo+set}" = set; then
@@ -7944,6 +8015,9 @@ if test "${with_execinfo+set}" = set; then
        case ${withval} in
        n|no)
        USE_BKTR=no
+       # -1 is a magic value used by menuselect to know that the package
+       # was disabled, other than 'not found'
+       PBX_BKTR=-1
        ;;
        y|ye|yes)
        ac_mandatory_list="${ac_mandatory_list} BKTR"
@@ -7956,7 +8030,6 @@ if test "${with_execinfo+set}" = set; then
 
 fi
 
-    PBX_BKTR=0
 
 
 
@@ -7965,6 +8038,7 @@ fi
 
     CAP_DESCRIP="POSIX 1.e capabilities"
     CAP_OPTION="cap"
+    PBX_CAP=0
 
 # Check whether --with-cap was given.
 if test "${with_cap+set}" = set; then
@@ -7972,6 +8046,9 @@ if test "${with_cap+set}" = set; then
        case ${withval} in
        n|no)
        USE_CAP=no
+       # -1 is a magic value used by menuselect to know that the package
+       # was disabled, other than 'not found'
+       PBX_CAP=-1
        ;;
        y|ye|yes)
        ac_mandatory_list="${ac_mandatory_list} CAP"
@@ -7984,7 +8061,6 @@ if test "${with_cap+set}" = set; then
 
 fi
 
-    PBX_CAP=0
 
 
 
@@ -7993,6 +8069,7 @@ fi
 
     CURL_DESCRIP="cURL"
     CURL_OPTION="curl"
+    PBX_CURL=0
 
 # Check whether --with-curl was given.
 if test "${with_curl+set}" = set; then
@@ -8000,6 +8077,9 @@ if test "${with_curl+set}" = set; then
        case ${withval} in
        n|no)
        USE_CURL=no
+       # -1 is a magic value used by menuselect to know that the package
+       # was disabled, other than 'not found'
+       PBX_CURL=-1
        ;;
        y|ye|yes)
        ac_mandatory_list="${ac_mandatory_list} CURL"
@@ -8012,7 +8092,6 @@ if test "${with_curl+set}" = set; then
 
 fi
 
-    PBX_CURL=0
 
 
 
@@ -8021,6 +8100,7 @@ fi
 
     CURSES_DESCRIP="curses"
     CURSES_OPTION="curses"
+    PBX_CURSES=0
 
 # Check whether --with-curses was given.
 if test "${with_curses+set}" = set; then
@@ -8028,6 +8108,9 @@ if test "${with_curses+set}" = set; then
        case ${withval} in
        n|no)
        USE_CURSES=no
+       # -1 is a magic value used by menuselect to know that the package
+       # was disabled, other than 'not found'
+       PBX_CURSES=-1
        ;;
        y|ye|yes)
        ac_mandatory_list="${ac_mandatory_list} CURSES"
@@ -8040,7 +8123,6 @@ if test "${with_curses+set}" = set; then
 
 fi
 
-    PBX_CURSES=0
 
 
 
@@ -8049,6 +8131,7 @@ fi
 
     CRYPTO_DESCRIP="OpenSSL Cryptography support"
     CRYPTO_OPTION="crypto"
+    PBX_CRYPTO=0
 
 # Check whether --with-crypto was given.
 if test "${with_crypto+set}" = set; then
@@ -8056,6 +8139,9 @@ if test "${with_crypto+set}" = set; then
        case ${withval} in
        n|no)
        USE_CRYPTO=no
+       # -1 is a magic value used by menuselect to know that the package
+       # was disabled, other than 'not found'
+       PBX_CRYPTO=-1
        ;;
        y|ye|yes)
        ac_mandatory_list="${ac_mandatory_list} CRYPTO"
@@ -8068,7 +8154,6 @@ if test "${with_crypto+set}" = set; then
 
 fi
 
-    PBX_CRYPTO=0
 
 
 
@@ -8077,6 +8162,7 @@ fi
 
     DAHDI_DESCRIP="DAHDI"
     DAHDI_OPTION="dahdi"
+    PBX_DAHDI=0
 
 # Check whether --with-dahdi was given.
 if test "${with_dahdi+set}" = set; then
@@ -8084,6 +8170,9 @@ if test "${with_dahdi+set}" = set; then
        case ${withval} in
        n|no)
        USE_DAHDI=no
+       # -1 is a magic value used by menuselect to know that the package
+       # was disabled, other than 'not found'
+       PBX_DAHDI=-1
        ;;
        y|ye|yes)
        ac_mandatory_list="${ac_mandatory_list} DAHDI"
@@ -8096,7 +8185,6 @@ if test "${with_dahdi+set}" = set; then
 
 fi
 
-    PBX_DAHDI=0
 
 
 
@@ -8105,6 +8193,7 @@ fi
 
     FFMPEG_DESCRIP="Ffmpeg and avcodec library"
     FFMPEG_OPTION="avcodec"
+    PBX_FFMPEG=0
 
 # Check whether --with-avcodec was given.
 if test "${with_avcodec+set}" = set; then
@@ -8112,6 +8201,9 @@ if test "${with_avcodec+set}" = set; then
        case ${withval} in
        n|no)
        USE_FFMPEG=no
+       # -1 is a magic value used by menuselect to know that the package
+       # was disabled, other than 'not found'
+       PBX_FFMPEG=-1
        ;;
        y|ye|yes)
        ac_mandatory_list="${ac_mandatory_list} FFMPEG"
@@ -8124,7 +8216,6 @@ if test "${with_avcodec+set}" = set; then
 
 fi
 
-    PBX_FFMPEG=0
 
 
 
@@ -8133,6 +8224,7 @@ fi
 
     GSM_DESCRIP="External GSM library"
     GSM_OPTION="gsm"
+    PBX_GSM=0
 
 # Check whether --with-gsm was given.
 if test "${with_gsm+set}" = set; then
@@ -8140,6 +8232,9 @@ if test "${with_gsm+set}" = set; then
        case ${withval} in
        n|no)
        USE_GSM=no
+       # -1 is a magic value used by menuselect to know that the package
+       # was disabled, other than 'not found'
+       PBX_GSM=-1
        ;;
        y|ye|yes)
        ac_mandatory_list="${ac_mandatory_list} GSM"
@@ -8152,7 +8247,6 @@ if test "${with_gsm+set}" = set; then
 
 fi
 
-    PBX_GSM=0
 
 
 
@@ -8161,6 +8255,7 @@ fi
 
     GTK_DESCRIP="gtk libraries"
     GTK_OPTION="gtk"
+    PBX_GTK=0
 
 # Check whether --with-gtk was given.
 if test "${with_gtk+set}" = set; then
@@ -8168,6 +8263,9 @@ if test "${with_gtk+set}" = set; then
        case ${withval} in
        n|no)
        USE_GTK=no
+       # -1 is a magic value used by menuselect to know that the package
+       # was disabled, other than 'not found'
+       PBX_GTK=-1
        ;;
        y|ye|yes)
        ac_mandatory_list="${ac_mandatory_list} GTK"
@@ -8180,7 +8278,6 @@ if test "${with_gtk+set}" = set; then
 
 fi
 
-    PBX_GTK=0
 
 
 
@@ -8189,6 +8286,7 @@ fi
 
     GTK2_DESCRIP="gtk2 libraries"
     GTK2_OPTION="gtk2"
+    PBX_GTK2=0
 
 # Check whether --with-gtk2 was given.
 if test "${with_gtk2+set}" = set; then
@@ -8196,6 +8294,9 @@ if test "${with_gtk2+set}" = set; then
        case ${withval} in
        n|no)
        USE_GTK2=no
+       # -1 is a magic value used by menuselect to know that the package
+       # was disabled, other than 'not found'
+       PBX_GTK2=-1
        ;;
        y|ye|yes)
        ac_mandatory_list="${ac_mandatory_list} GTK2"
@@ -8208,7 +8309,6 @@ if test "${with_gtk2+set}" = set; then
 
 fi
 
-    PBX_GTK2=0
 
 
 
@@ -8217,6 +8317,7 @@ fi
 
     GMIME_DESCRIP="GMime library"
     GMIME_OPTION="gmime"
+    PBX_GMIME=0
 
 # Check whether --with-gmime was given.
 if test "${with_gmime+set}" = set; then
@@ -8224,6 +8325,9 @@ if test "${with_gmime+set}" = set; then
        case ${withval} in
        n|no)
        USE_GMIME=no
+       # -1 is a magic value used by menuselect to know that the package
+       # was disabled, other than 'not found'
+       PBX_GMIME=-1
        ;;
        y|ye|yes)
        ac_mandatory_list="${ac_mandatory_list} GMIME"
@@ -8236,7 +8340,6 @@ if test "${with_gmime+set}" = set; then
 
 fi
 
-    PBX_GMIME=0
 
 
 
@@ -8245,6 +8348,7 @@ fi
 
     HOARD_DESCRIP="Hoard Memory Allocator"
     HOARD_OPTION="hoard"
+    PBX_HOARD=0
 
 # Check whether --with-hoard was given.
 if test "${with_hoard+set}" = set; then
@@ -8252,6 +8356,9 @@ if test "${with_hoard+set}" = set; then
        case ${withval} in
        n|no)
        USE_HOARD=no
+       # -1 is a magic value used by menuselect to know that the package
+       # was disabled, other than 'not found'
+       PBX_HOARD=-1
        ;;
        y|ye|yes)
        ac_mandatory_list="${ac_mandatory_list} HOARD"
@@ -8264,7 +8371,6 @@ if test "${with_hoard+set}" = set; then
 
 fi
 
-    PBX_HOARD=0
 
 
 
@@ -8273,6 +8379,7 @@ fi
 
     ICONV_DESCRIP="Iconv Library"
     ICONV_OPTION="iconv"
+    PBX_ICONV=0
 
 # Check whether --with-iconv was given.
 if test "${with_iconv+set}" = set; then
@@ -8280,6 +8387,9 @@ if test "${with_iconv+set}" = set; then
        case ${withval} in
        n|no)
        USE_ICONV=no
+       # -1 is a magic value used by menuselect to know that the package
+       # was disabled, other than 'not found'
+       PBX_ICONV=-1
        ;;
        y|ye|yes)
        ac_mandatory_list="${ac_mandatory_list} ICONV"
@@ -8292,7 +8402,6 @@ if test "${with_iconv+set}" = set; then
 
 fi
 
-    PBX_ICONV=0
 
 
 
@@ -8301,6 +8410,7 @@ fi
 
     IKSEMEL_DESCRIP="Iksemel Jabber Library"
     IKSEMEL_OPTION="iksemel"
+    PBX_IKSEMEL=0
 
 # Check whether --with-iksemel was given.
 if test "${with_iksemel+set}" = set; then
@@ -8308,6 +8418,9 @@ if test "${with_iksemel+set}" = set; then
        case ${withval} in
        n|no)
        USE_IKSEMEL=no
+       # -1 is a magic value used by menuselect to know that the package
+       # was disabled, other than 'not found'
+       PBX_IKSEMEL=-1
        ;;
        y|ye|yes)
        ac_mandatory_list="${ac_mandatory_list} IKSEMEL"
@@ -8320,7 +8433,6 @@ if test "${with_iksemel+set}" = set; then
 
 fi
 
-    PBX_IKSEMEL=0
 
 
 
@@ -8329,6 +8441,7 @@ fi
 
     IMAP_TK_DESCRIP="UW IMAP Toolkit"
     IMAP_TK_OPTION="imap"
+    PBX_IMAP_TK=0
 
 # Check whether --with-imap was given.
 if test "${with_imap+set}" = set; then
@@ -8336,6 +8449,9 @@ if test "${with_imap+set}" = set; then
        case ${withval} in
        n|no)
        USE_IMAP_TK=no
+       # -1 is a magic value used by menuselect to know that the package
+       # was disabled, other than 'not found'
+       PBX_IMAP_TK=-1
        ;;
        y|ye|yes)
        ac_mandatory_list="${ac_mandatory_list} IMAP_TK"
@@ -8348,7 +8464,37 @@ if test "${with_imap+set}" = set; then
 
 fi
 
-    PBX_IMAP_TK=0
+
+
+
+
+
+
+    IODBC_DESCRIP="iODBC"
+    IODBC_OPTION="iodbc"
+    PBX_IODBC=0
+
+# Check whether --with-iodbc was given.
+if test "${with_iodbc+set}" = set; then
+  withval=$with_iodbc;
+       case ${withval} in
+       n|no)
+       USE_IODBC=no
+       # -1 is a magic value used by menuselect to know that the package
+       # was disabled, other than 'not found'
+       PBX_IODBC=-1
+       ;;
+       y|ye|yes)
+       ac_mandatory_list="${ac_mandatory_list} IODBC"
+       ;;
+       *)
+       IODBC_DIR="${withval}"
+       ac_mandatory_list="${ac_mandatory_list} IODBC"
+       ;;
+       esac
+
+fi
+
 
 
 
@@ -8357,6 +8503,7 @@ fi
 
     ISDNNET_DESCRIP="ISDN4Linux Library"
     ISDNNET_OPTION="isdnnet"
+    PBX_ISDNNET=0
 
 # Check whether --with-isdnnet was given.
 if test "${with_isdnnet+set}" = set; then
@@ -8364,6 +8511,9 @@ if test "${with_isdnnet+set}" = set; then
        case ${withval} in
        n|no)
        USE_ISDNNET=no
+       # -1 is a magic value used by menuselect to know that the package
+       # was disabled, other than 'not found'
+       PBX_ISDNNET=-1
        ;;
        y|ye|yes)
        ac_mandatory_list="${ac_mandatory_list} ISDNNET"
@@ -8376,7 +8526,6 @@ if test "${with_isdnnet+set}" = set; then
 
 fi
 
-    PBX_ISDNNET=0
 
 
 
@@ -8385,6 +8534,7 @@ fi
 
     JACK_DESCRIP="Jack Audio Connection Kit"
     JACK_OPTION="jack"
+    PBX_JACK=0
 
 # Check whether --with-jack was given.
 if test "${with_jack+set}" = set; then
@@ -8392,6 +8542,9 @@ if test "${with_jack+set}" = set; then
        case ${withval} in
        n|no)
        USE_JACK=no
+       # -1 is a magic value used by menuselect to know that the package
+       # was disabled, other than 'not found'
+       PBX_JACK=-1
        ;;
        y|ye|yes)
        ac_mandatory_list="${ac_mandatory_list} JACK"
@@ -8404,7 +8557,6 @@ if test "${with_jack+set}" = set; then
 
 fi
 
-    PBX_JACK=0
 
 
 
@@ -8413,6 +8565,7 @@ fi
 
     LDAP_DESCRIP="OpenLDAP"
     LDAP_OPTION="ldap"
+    PBX_LDAP=0
 
 # Check whether --with-ldap was given.
 if test "${with_ldap+set}" = set; then
@@ -8420,6 +8573,9 @@ if test "${with_ldap+set}" = set; then
        case ${withval} in
        n|no)
        USE_LDAP=no
+       # -1 is a magic value used by menuselect to know that the package
+       # was disabled, other than 'not found'
+       PBX_LDAP=-1
        ;;
        y|ye|yes)
        ac_mandatory_list="${ac_mandatory_list} LDAP"
@@ -8432,7 +8588,37 @@ if test "${with_ldap+set}" = set; then
 
 fi
 
-    PBX_LDAP=0
+
+
+
+
+
+
+    LIBXML2_DESCRIP="LibXML2"
+    LIBXML2_OPTION="libxml2"
+    PBX_LIBXML2=0
+
+# Check whether --with-libxml2 was given.
+if test "${with_libxml2+set}" = set; then
+  withval=$with_libxml2;
+       case ${withval} in
+       n|no)
+       USE_LIBXML2=no
+       # -1 is a magic value used by menuselect to know that the package
+       # was disabled, other than 'not found'
+       PBX_LIBXML2=-1
+       ;;
+       y|ye|yes)
+       ac_mandatory_list="${ac_mandatory_list} LIBXML2"
+       ;;
+       *)
+       LIBXML2_DIR="${withval}"
+       ac_mandatory_list="${ac_mandatory_list} LIBXML2"
+       ;;
+       esac
+
+fi
+
 
 
 
@@ -8441,6 +8627,7 @@ fi
 
     LTDL_DESCRIP="libtool"
     LTDL_OPTION="ltdl"
+    PBX_LTDL=0
 
 # Check whether --with-ltdl was given.
 if test "${with_ltdl+set}" = set; then
@@ -8448,6 +8635,9 @@ if test "${with_ltdl+set}" = set; then
        case ${withval} in
        n|no)
        USE_LTDL=no
+       # -1 is a magic value used by menuselect to know that the package
+       # was disabled, other than 'not found'
+       PBX_LTDL=-1
        ;;
        y|ye|yes)
        ac_mandatory_list="${ac_mandatory_list} LTDL"
@@ -8460,7 +8650,6 @@ if test "${with_ltdl+set}" = set; then
 
 fi
 
-    PBX_LTDL=0
 
 
 
@@ -8469,6 +8658,7 @@ fi
 
     LUA_DESCRIP="Lua"
     LUA_OPTION="lua"
+    PBX_LUA=0
 
 # Check whether --with-lua was given.
 if test "${with_lua+set}" = set; then
@@ -8476,6 +8666,9 @@ if test "${with_lua+set}" = set; then
        case ${withval} in
        n|no)
        USE_LUA=no
+       # -1 is a magic value used by menuselect to know that the package
+       # was disabled, other than 'not found'
+       PBX_LUA=-1
        ;;
        y|ye|yes)
        ac_mandatory_list="${ac_mandatory_list} LUA"
@@ -8488,7 +8681,6 @@ if test "${with_lua+set}" = set; then
 
 fi
 
-    PBX_LUA=0
 
 
 
@@ -8497,6 +8689,7 @@ fi
 
     MISDN_DESCRIP="mISDN User Library"
     MISDN_OPTION="misdn"
+    PBX_MISDN=0
 
 # Check whether --with-misdn was given.
 if test "${with_misdn+set}" = set; then
@@ -8504,6 +8697,9 @@ if test "${with_misdn+set}" = set; then
        case ${withval} in
        n|no)
        USE_MISDN=no
+       # -1 is a magic value used by menuselect to know that the package
+       # was disabled, other than 'not found'
+       PBX_MISDN=-1
        ;;
        y|ye|yes)
        ac_mandatory_list="${ac_mandatory_list} MISDN"
@@ -8516,7 +8712,6 @@ if test "${with_misdn+set}" = set; then
 
 fi
 
-    PBX_MISDN=0
 
 
 
@@ -8525,6 +8720,7 @@ fi
 
     NBS_DESCRIP="Network Broadcast Sound"
     NBS_OPTION="nbs"
+    PBX_NBS=0
 
 # Check whether --with-nbs was given.
 if test "${with_nbs+set}" = set; then
@@ -8532,6 +8728,9 @@ if test "${with_nbs+set}" = set; then
        case ${withval} in
        n|no)
        USE_NBS=no
+       # -1 is a magic value used by menuselect to know that the package
+       # was disabled, other than 'not found'
+       PBX_NBS=-1
        ;;
        y|ye|yes)
        ac_mandatory_list="${ac_mandatory_list} NBS"
@@ -8544,7 +8743,6 @@ if test "${with_nbs+set}" = set; then
 
 fi
 
-    PBX_NBS=0
 
 
 
@@ -8553,6 +8751,7 @@ fi
 
     NCURSES_DESCRIP="ncurses"
     NCURSES_OPTION="ncurses"
+    PBX_NCURSES=0
 
 # Check whether --with-ncurses was given.
 if test "${with_ncurses+set}" = set; then
@@ -8560,6 +8759,9 @@ if test "${with_ncurses+set}" = set; then
        case ${withval} in
        n|no)
        USE_NCURSES=no
+       # -1 is a magic value used by menuselect to know that the package
+       # was disabled, other than 'not found'
+       PBX_NCURSES=-1
        ;;
        y|ye|yes)
        ac_mandatory_list="${ac_mandatory_list} NCURSES"
@@ -8572,7 +8774,6 @@ if test "${with_ncurses+set}" = set; then
 
 fi
 
-    PBX_NCURSES=0
 
 
 
@@ -8581,6 +8782,7 @@ fi
 
     NETSNMP_DESCRIP="Net-SNMP"
     NETSNMP_OPTION="netsnmp"
+    PBX_NETSNMP=0
 
 # Check whether --with-netsnmp was given.
 if test "${with_netsnmp+set}" = set; then
@@ -8588,6 +8790,9 @@ if test "${with_netsnmp+set}" = set; then
        case ${withval} in
        n|no)
        USE_NETSNMP=no
+       # -1 is a magic value used by menuselect to know that the package
+       # was disabled, other than 'not found'
+       PBX_NETSNMP=-1
        ;;
        y|ye|yes)
        ac_mandatory_list="${ac_mandatory_list} NETSNMP"
@@ -8600,7 +8805,6 @@ if test "${with_netsnmp+set}" = set; then
 
 fi
 
-    PBX_NETSNMP=0
 
 
 
@@ -8609,6 +8813,7 @@ fi
 
     NEWT_DESCRIP="newt"
     NEWT_OPTION="newt"
+    PBX_NEWT=0
 
 # Check whether --with-newt was given.
 if test "${with_newt+set}" = set; then
@@ -8616,6 +8821,9 @@ if test "${with_newt+set}" = set; then
        case ${withval} in
        n|no)
        USE_NEWT=no
+       # -1 is a magic value used by menuselect to know that the package
+       # was disabled, other than 'not found'
+       PBX_NEWT=-1
        ;;
        y|ye|yes)
        ac_mandatory_list="${ac_mandatory_list} NEWT"
@@ -8628,35 +8836,6 @@ if test "${with_newt+set}" = set; then
 
 fi
 
-    PBX_NEWT=0
-
-
-
-
-
-
-    UNIXODBC_DESCRIP="unixODBC"
-    UNIXODBC_OPTION="odbc"
-
-# Check whether --with-odbc was given.
-if test "${with_odbc+set}" = set; then
-  withval=$with_odbc;
-       case ${withval} in
-       n|no)
-       USE_UNIXODBC=no
-       ;;
-       y|ye|yes)
-       ac_mandatory_list="${ac_mandatory_list} UNIXODBC"
-       ;;
-       *)
-       UNIXODBC_DIR="${withval}"
-       ac_mandatory_list="${ac_mandatory_list} UNIXODBC"
-       ;;
-       esac
-
-fi
-
-    PBX_UNIXODBC=0
 
 
 
@@ -8665,6 +8844,7 @@ fi
 
     OGG_DESCRIP="OGG"
     OGG_OPTION="ogg"
+    PBX_OGG=0
 
 # Check whether --with-ogg was given.
 if test "${with_ogg+set}" = set; then
@@ -8672,6 +8852,9 @@ if test "${with_ogg+set}" = set; then
        case ${withval} in
        n|no)
        USE_OGG=no
+       # -1 is a magic value used by menuselect to know that the package
+       # was disabled, other than 'not found'
+       PBX_OGG=-1
        ;;
        y|ye|yes)
        ac_mandatory_list="${ac_mandatory_list} OGG"
@@ -8684,7 +8867,6 @@ if test "${with_ogg+set}" = set; then
 
 fi
 
-    PBX_OGG=0
 
 
 
@@ -8693,6 +8875,7 @@ fi
 
     OSPTK_DESCRIP="OSP Toolkit"
     OSPTK_OPTION="osptk"
+    PBX_OSPTK=0
 
 # Check whether --with-osptk was given.
 if test "${with_osptk+set}" = set; then
@@ -8700,6 +8883,9 @@ if test "${with_osptk+set}" = set; then
        case ${withval} in
        n|no)
        USE_OSPTK=no
+       # -1 is a magic value used by menuselect to know that the package
+       # was disabled, other than 'not found'
+       PBX_OSPTK=-1
        ;;
        y|ye|yes)
        ac_mandatory_list="${ac_mandatory_list} OSPTK"
@@ -8712,7 +8898,6 @@ if test "${with_osptk+set}" = set; then
 
 fi
 
-    PBX_OSPTK=0
 
 
 
@@ -8721,6 +8906,7 @@ fi
 
     OSS_DESCRIP="Open Sound System"
     OSS_OPTION="oss"
+    PBX_OSS=0
 
 # Check whether --with-oss was given.
 if test "${with_oss+set}" = set; then
@@ -8728,6 +8914,9 @@ if test "${with_oss+set}" = set; then
        case ${withval} in
        n|no)
        USE_OSS=no
+       # -1 is a magic value used by menuselect to know that the package
+       # was disabled, other than 'not found'
+       PBX_OSS=-1
        ;;
        y|ye|yes)
        ac_mandatory_list="${ac_mandatory_list} OSS"
@@ -8740,7 +8929,6 @@ if test "${with_oss+set}" = set; then
 
 fi
 
-    PBX_OSS=0
 
 
 
@@ -8749,6 +8937,7 @@ fi
 
     PGSQL_DESCRIP="PostgreSQL"
     PGSQL_OPTION="postgres"
+    PBX_PGSQL=0
 
 # Check whether --with-postgres was given.
 if test "${with_postgres+set}" = set; then
@@ -8756,6 +8945,9 @@ if test "${with_postgres+set}" = set; then
        case ${withval} in
        n|no)
        USE_PGSQL=no
+       # -1 is a magic value used by menuselect to know that the package
+       # was disabled, other than 'not found'
+       PBX_PGSQL=-1
        ;;
        y|ye|yes)
        ac_mandatory_list="${ac_mandatory_list} PGSQL"
@@ -8768,7 +8960,6 @@ if test "${with_postgres+set}" = set; then
 
 fi
 
-    PBX_PGSQL=0
 
 
 
@@ -8777,6 +8968,7 @@ fi
 
     POPT_DESCRIP="popt"
     POPT_OPTION="popt"
+    PBX_POPT=0
 
 # Check whether --with-popt was given.
 if test "${with_popt+set}" = set; then
@@ -8784,6 +8976,9 @@ if test "${with_popt+set}" = set; then
        case ${withval} in
        n|no)
        USE_POPT=no
+       # -1 is a magic value used by menuselect to know that the package
+       # was disabled, other than 'not found'
+       PBX_POPT=-1
        ;;
        y|ye|yes)
        ac_mandatory_list="${ac_mandatory_list} POPT"
@@ -8796,7 +8991,6 @@ if test "${with_popt+set}" = set; then
 
 fi
 
-    PBX_POPT=0
 
 
 
@@ -8805,6 +8999,7 @@ fi
 
     PORTAUDIO_DESCRIP="PortAudio"
     PORTAUDIO_OPTION="portaudio"
+    PBX_PORTAUDIO=0
 
 # Check whether --with-portaudio was given.
 if test "${with_portaudio+set}" = set; then
@@ -8812,6 +9007,9 @@ if test "${with_portaudio+set}" = set; then
        case ${withval} in
        n|no)
        USE_PORTAUDIO=no
+       # -1 is a magic value used by menuselect to know that the package
+       # was disabled, other than 'not found'
+       PBX_PORTAUDIO=-1
        ;;
        y|ye|yes)
        ac_mandatory_list="${ac_mandatory_list} PORTAUDIO"
@@ -8824,7 +9022,6 @@ if test "${with_portaudio+set}" = set; then
 
 fi
 
-    PBX_PORTAUDIO=0
 
 
 
@@ -8833,6 +9030,7 @@ fi
 
     PRI_DESCRIP="ISDN PRI"
     PRI_OPTION="pri"
+    PBX_PRI=0
 
 # Check whether --with-pri was given.
 if test "${with_pri+set}" = set; then
@@ -8840,6 +9038,9 @@ if test "${with_pri+set}" = set; then
        case ${withval} in
        n|no)
        USE_PRI=no
+       # -1 is a magic value used by menuselect to know that the package
+       # was disabled, other than 'not found'
+       PBX_PRI=-1
        ;;
        y|ye|yes)
        ac_mandatory_list="${ac_mandatory_list} PRI"
@@ -8852,7 +9053,6 @@ if test "${with_pri+set}" = set; then
 
 fi
 
-    PBX_PRI=0
 
 
 
@@ -8861,6 +9061,7 @@ fi
 
     RESAMPLE_DESCRIP="LIBRESAMPLE"
     RESAMPLE_OPTION="resample"
+    PBX_RESAMPLE=0
 
 # Check whether --with-resample was given.
 if test "${with_resample+set}" = set; then
@@ -8868,6 +9069,9 @@ if test "${with_resample+set}" = set; then
        case ${withval} in
        n|no)
        USE_RESAMPLE=no
+       # -1 is a magic value used by menuselect to know that the package
+       # was disabled, other than 'not found'
+       PBX_RESAMPLE=-1
        ;;
        y|ye|yes)
        ac_mandatory_list="${ac_mandatory_list} RESAMPLE"
@@ -8880,7 +9084,6 @@ if test "${with_resample+set}" = set; then
 
 fi
 
-    PBX_RESAMPLE=0
 
 
 
@@ -8889,6 +9092,7 @@ fi
 
     SPANDSP_DESCRIP="SPANDSP"
     SPANDSP_OPTION="spandsp"
+    PBX_SPANDSP=0
 
 # Check whether --with-spandsp was given.
 if test "${with_spandsp+set}" = set; then
@@ -8896,6 +9100,9 @@ if test "${with_spandsp+set}" = set; then
        case ${withval} in
        n|no)
        USE_SPANDSP=no
+       # -1 is a magic value used by menuselect to know that the package
+       # was disabled, other than 'not found'
+       PBX_SPANDSP=-1
        ;;
        y|ye|yes)
        ac_mandatory_list="${ac_mandatory_list} SPANDSP"
@@ -8908,7 +9115,6 @@ if test "${with_spandsp+set}" = set; then
 
 fi
 
-    PBX_SPANDSP=0
 
 
 
@@ -8917,6 +9123,7 @@ fi
 
     SS7_DESCRIP="ISDN SS7"
     SS7_OPTION="ss7"
+    PBX_SS7=0
 
 # Check whether --with-ss7 was given.
 if test "${with_ss7+set}" = set; then
@@ -8924,6 +9131,9 @@ if test "${with_ss7+set}" = set; then
        case ${withval} in
        n|no)
        USE_SS7=no
+       # -1 is a magic value used by menuselect to know that the package
+       # was disabled, other than 'not found'
+       PBX_SS7=-1
        ;;
        y|ye|yes)
        ac_mandatory_list="${ac_mandatory_list} SS7"
@@ -8936,7 +9146,6 @@ if test "${with_ss7+set}" = set; then
 
 fi
 
-    PBX_SS7=0
 
 
 
@@ -8945,6 +9154,7 @@ fi
 
     PWLIB_DESCRIP="PWlib"
     PWLIB_OPTION="pwlib"
+    PBX_PWLIB=0
 
 # Check whether --with-pwlib was given.
 if test "${with_pwlib+set}" = set; then
@@ -8952,6 +9162,9 @@ if test "${with_pwlib+set}" = set; then
        case ${withval} in
        n|no)
        USE_PWLIB=no
+       # -1 is a magic value used by menuselect to know that the package
+       # was disabled, other than 'not found'
+       PBX_PWLIB=-1
        ;;
        y|ye|yes)
        ac_mandatory_list="${ac_mandatory_list} PWLIB"
@@ -8964,7 +9177,6 @@ if test "${with_pwlib+set}" = set; then
 
 fi
 
-    PBX_PWLIB=0
 
 
 
@@ -8973,6 +9185,7 @@ fi
 
     OPENH323_DESCRIP="OpenH323"
     OPENH323_OPTION="h323"
+    PBX_OPENH323=0
 
 # Check whether --with-h323 was given.
 if test "${with_h323+set}" = set; then
@@ -8980,6 +9193,9 @@ if test "${with_h323+set}" = set; then
        case ${withval} in
        n|no)
        USE_OPENH323=no
+       # -1 is a magic value used by menuselect to know that the package
+       # was disabled, other than 'not found'
+       PBX_OPENH323=-1
        ;;
        y|ye|yes)
        ac_mandatory_list="${ac_mandatory_list} OPENH323"
@@ -8992,7 +9208,6 @@ if test "${with_h323+set}" = set; then
 
 fi
 
-    PBX_OPENH323=0
 
 
 
@@ -9001,6 +9216,7 @@ fi
 
     RADIUS_DESCRIP="Radius Client"
     RADIUS_OPTION="radius"
+    PBX_RADIUS=0
 
 # Check whether --with-radius was given.
 if test "${with_radius+set}" = set; then
@@ -9008,6 +9224,9 @@ if test "${with_radius+set}" = set; then
        case ${withval} in
        n|no)
        USE_RADIUS=no
+       # -1 is a magic value used by menuselect to know that the package
+       # was disabled, other than 'not found'
+       PBX_RADIUS=-1
        ;;
        y|ye|yes)
        ac_mandatory_list="${ac_mandatory_list} RADIUS"
@@ -9020,7 +9239,6 @@ if test "${with_radius+set}" = set; then
 
 fi
 
-    PBX_RADIUS=0
 
 
 
@@ -9029,6 +9247,7 @@ fi
 
     SDL_DESCRIP="Sdl"
     SDL_OPTION="sdl"
+    PBX_SDL=0
 
 # Check whether --with-sdl was given.
 if test "${with_sdl+set}" = set; then
@@ -9036,6 +9255,9 @@ if test "${with_sdl+set}" = set; then
        case ${withval} in
        n|no)
        USE_SDL=no
+       # -1 is a magic value used by menuselect to know that the package
+       # was disabled, other than 'not found'
+       PBX_SDL=-1
        ;;
        y|ye|yes)
        ac_mandatory_list="${ac_mandatory_list} SDL"
@@ -9048,7 +9270,6 @@ if test "${with_sdl+set}" = set; then
 
 fi
 
-    PBX_SDL=0
 
 
 
@@ -9057,6 +9278,7 @@ fi
 
     SDL_IMAGE_DESCRIP="Sdl Image library"
     SDL_IMAGE_OPTION="SDL_image"
+    PBX_SDL_IMAGE=0
 
 # Check whether --with-SDL_image was given.
 if test "${with_SDL_image+set}" = set; then
@@ -9064,6 +9286,9 @@ if test "${with_SDL_image+set}" = set; then
        case ${withval} in
        n|no)
        USE_SDL_IMAGE=no
+       # -1 is a magic value used by menuselect to know that the package
+       # was disabled, other than 'not found'
+       PBX_SDL_IMAGE=-1
        ;;
        y|ye|yes)
        ac_mandatory_list="${ac_mandatory_list} SDL_IMAGE"
@@ -9076,7 +9301,6 @@ if test "${with_SDL_image+set}" = set; then
 
 fi
 
-    PBX_SDL_IMAGE=0
 
 
 
@@ -9085,6 +9309,7 @@ fi
 
     OPENAIS_DESCRIP="OpenAIS"
     OPENAIS_OPTION="openais"
+    PBX_OPENAIS=0
 
 # Check whether --with-openais was given.
 if test "${with_openais+set}" = set; then
@@ -9092,6 +9317,9 @@ if test "${with_openais+set}" = set; then
        case ${withval} in
        n|no)
        USE_OPENAIS=no
+       # -1 is a magic value used by menuselect to know that the package
+       # was disabled, other than 'not found'
+       PBX_OPENAIS=-1
        ;;
        y|ye|yes)
        ac_mandatory_list="${ac_mandatory_list} OPENAIS"
@@ -9104,7 +9332,6 @@ if test "${with_openais+set}" = set; then
 
 fi
 
-    PBX_OPENAIS=0
 
 
 
@@ -9113,6 +9340,7 @@ fi
 
     SPEEX_DESCRIP="Speex"
     SPEEX_OPTION="speex"
+    PBX_SPEEX=0
 
 # Check whether --with-speex was given.
 if test "${with_speex+set}" = set; then
@@ -9120,6 +9348,9 @@ if test "${with_speex+set}" = set; then
        case ${withval} in
        n|no)
        USE_SPEEX=no
+       # -1 is a magic value used by menuselect to know that the package
+       # was disabled, other than 'not found'
+       PBX_SPEEX=-1
        ;;
        y|ye|yes)
        ac_mandatory_list="${ac_mandatory_list} SPEEX"
@@ -9132,7 +9363,6 @@ if test "${with_speex+set}" = set; then
 
 fi
 
-    PBX_SPEEX=0
 
 
 
@@ -9141,6 +9371,7 @@ fi
 
     SPEEXDSP_DESCRIP="Speexdsp"
     SPEEXDSP_OPTION="speexdsp"
+    PBX_SPEEXDSP=0
 
 # Check whether --with-speexdsp was given.
 if test "${with_speexdsp+set}" = set; then
@@ -9148,6 +9379,9 @@ if test "${with_speexdsp+set}" = set; then
        case ${withval} in
        n|no)
        USE_SPEEXDSP=no
+       # -1 is a magic value used by menuselect to know that the package
+       # was disabled, other than 'not found'
+       PBX_SPEEXDSP=-1
        ;;
        y|ye|yes)
        ac_mandatory_list="${ac_mandatory_list} SPEEXDSP"
@@ -9160,7 +9394,6 @@ if test "${with_speexdsp+set}" = set; then
 
 fi
 
-    PBX_SPEEXDSP=0
 
 
 
@@ -9169,6 +9402,7 @@ fi
 
     SQLITE_DESCRIP="SQLite"
     SQLITE_OPTION="sqlite"
+    PBX_SQLITE=0
 
 # Check whether --with-sqlite was given.
 if test "${with_sqlite+set}" = set; then
@@ -9176,6 +9410,9 @@ if test "${with_sqlite+set}" = set; then
        case ${withval} in
        n|no)
        USE_SQLITE=no
+       # -1 is a magic value used by menuselect to know that the package
+       # was disabled, other than 'not found'
+       PBX_SQLITE=-1
        ;;
        y|ye|yes)
        ac_mandatory_list="${ac_mandatory_list} SQLITE"
@@ -9188,7 +9425,6 @@ if test "${with_sqlite+set}" = set; then
 
 fi
 
-    PBX_SQLITE=0
 
 
 
@@ -9197,6 +9433,7 @@ fi
 
     SQLITE3_DESCRIP="SQLite"
     SQLITE3_OPTION="sqlite3"
+    PBX_SQLITE3=0
 
 # Check whether --with-sqlite3 was given.
 if test "${with_sqlite3+set}" = set; then
@@ -9204,6 +9441,9 @@ if test "${with_sqlite3+set}" = set; then
        case ${withval} in
        n|no)
        USE_SQLITE3=no
+       # -1 is a magic value used by menuselect to know that the package
+       # was disabled, other than 'not found'
+       PBX_SQLITE3=-1
        ;;
        y|ye|yes)
        ac_mandatory_list="${ac_mandatory_list} SQLITE3"
@@ -9216,7 +9456,6 @@ if test "${with_sqlite3+set}" = set; then
 
 fi
 
-    PBX_SQLITE3=0
 
 
 
@@ -9225,6 +9464,7 @@ fi
 
     SUPPSERV_DESCRIP="mISDN Supplemental Services"
     SUPPSERV_OPTION="suppserv"
+    PBX_SUPPSERV=0
 
 # Check whether --with-suppserv was given.
 if test "${with_suppserv+set}" = set; then
@@ -9232,6 +9472,9 @@ if test "${with_suppserv+set}" = set; then
        case ${withval} in
        n|no)
        USE_SUPPSERV=no
+       # -1 is a magic value used by menuselect to know that the package
+       # was disabled, other than 'not found'
+       PBX_SUPPSERV=-1
        ;;
        y|ye|yes)
        ac_mandatory_list="${ac_mandatory_list} SUPPSERV"
@@ -9244,7 +9487,6 @@ if test "${with_suppserv+set}" = set; then
 
 fi
 
-    PBX_SUPPSERV=0
 
 
 
@@ -9253,6 +9495,7 @@ fi
 
     OPENSSL_DESCRIP="OpenSSL Secure Sockets Layer support"
     OPENSSL_OPTION="ssl"
+    PBX_OPENSSL=0
 
 # Check whether --with-ssl was given.
 if test "${with_ssl+set}" = set; then
@@ -9260,6 +9503,9 @@ if test "${with_ssl+set}" = set; then
        case ${withval} in
        n|no)
        USE_OPENSSL=no
+       # -1 is a magic value used by menuselect to know that the package
+       # was disabled, other than 'not found'
+       PBX_OPENSSL=-1
        ;;
        y|ye|yes)
        ac_mandatory_list="${ac_mandatory_list} OPENSSL"
@@ -9272,7 +9518,6 @@ if test "${with_ssl+set}" = set; then
 
 fi
 
-    PBX_OPENSSL=0
 
 
 
@@ -9281,6 +9526,7 @@ fi
 
     FREETDS_DESCRIP="FreeTDS"
     FREETDS_OPTION="tds"
+    PBX_FREETDS=0
 
 # Check whether --with-tds was given.
 if test "${with_tds+set}" = set; then
@@ -9288,6 +9534,9 @@ if test "${with_tds+set}" = set; then
        case ${withval} in
        n|no)
        USE_FREETDS=no
+       # -1 is a magic value used by menuselect to know that the package
+       # was disabled, other than 'not found'
+       PBX_FREETDS=-1
        ;;
        y|ye|yes)
        ac_mandatory_list="${ac_mandatory_list} FREETDS"
@@ -9300,7 +9549,6 @@ if test "${with_tds+set}" = set; then
 
 fi
 
-    PBX_FREETDS=0
 
 
 
@@ -9309,6 +9557,7 @@ fi
 
     TERMCAP_DESCRIP="Termcap"
     TERMCAP_OPTION="termcap"
+    PBX_TERMCAP=0
 
 # Check whether --with-termcap was given.
 if test "${with_termcap+set}" = set; then
@@ -9316,6 +9565,9 @@ if test "${with_termcap+set}" = set; then
        case ${withval} in
        n|no)
        USE_TERMCAP=no
+       # -1 is a magic value used by menuselect to know that the package
+       # was disabled, other than 'not found'
+       PBX_TERMCAP=-1
        ;;
        y|ye|yes)
        ac_mandatory_list="${ac_mandatory_list} TERMCAP"
@@ -9328,7 +9580,6 @@ if test "${with_termcap+set}" = set; then
 
 fi
 
-    PBX_TERMCAP=0
 
 
 
@@ -9337,6 +9588,7 @@ fi
 
     TINFO_DESCRIP="Term Info"
     TINFO_OPTION="tinfo"
+    PBX_TINFO=0
 
 # Check whether --with-tinfo was given.
 if test "${with_tinfo+set}" = set; then
@@ -9344,6 +9596,9 @@ if test "${with_tinfo+set}" = set; then
        case ${withval} in
        n|no)
        USE_TINFO=no
+       # -1 is a magic value used by menuselect to know that the package
+       # was disabled, other than 'not found'
+       PBX_TINFO=-1
        ;;
        y|ye|yes)
        ac_mandatory_list="${ac_mandatory_list} TINFO"
@@ -9356,7 +9611,6 @@ if test "${with_tinfo+set}" = set; then
 
 fi
 
-    PBX_TINFO=0
 
 
 
@@ -9365,6 +9619,7 @@ fi
 
     TONEZONE_DESCRIP="tonezone"
     TONEZONE_OPTION="tonezone"
+    PBX_TONEZONE=0
 
 # Check whether --with-tonezone was given.
 if test "${with_tonezone+set}" = set; then
@@ -9372,6 +9627,9 @@ if test "${with_tonezone+set}" = set; then
        case ${withval} in
        n|no)
        USE_TONEZONE=no
+       # -1 is a magic value used by menuselect to know that the package
+       # was disabled, other than 'not found'
+       PBX_TONEZONE=-1
        ;;
        y|ye|yes)
        ac_mandatory_list="${ac_mandatory_list} TONEZONE"
@@ -9384,7 +9642,37 @@ if test "${with_tonezone+set}" = set; then
 
 fi
 
-    PBX_TONEZONE=0
+
+
+
+
+
+
+    UNIXODBC_DESCRIP="unixODBC"
+    UNIXODBC_OPTION="unixodbc"
+    PBX_UNIXODBC=0
+
+# Check whether --with-unixodbc was given.
+if test "${with_unixodbc+set}" = set; then
+  withval=$with_unixodbc;
+       case ${withval} in
+       n|no)
+       USE_UNIXODBC=no
+       # -1 is a magic value used by menuselect to know that the package
+       # was disabled, other than 'not found'
+       PBX_UNIXODBC=-1
+       ;;
+       y|ye|yes)
+       ac_mandatory_list="${ac_mandatory_list} UNIXODBC"
+       ;;
+       *)
+       UNIXODBC_DIR="${withval}"
+       ac_mandatory_list="${ac_mandatory_list} UNIXODBC"
+       ;;
+       esac
+
+fi
+
 
 
 
@@ -9393,6 +9681,7 @@ fi
 
     USB_DESCRIP="usb"
     USB_OPTION="usb"
+    PBX_USB=0
 
 # Check whether --with-usb was given.
 if test "${with_usb+set}" = set; then
@@ -9400,6 +9689,9 @@ if test "${with_usb+set}" = set; then
        case ${withval} in
        n|no)
        USE_USB=no
+       # -1 is a magic value used by menuselect to know that the package
+       # was disabled, other than 'not found'
+       PBX_USB=-1
        ;;
        y|ye|yes)
        ac_mandatory_list="${ac_mandatory_list} USB"
@@ -9412,7 +9704,6 @@ if test "${with_usb+set}" = set; then
 
 fi
 
-    PBX_USB=0
 
 
 
@@ -9421,6 +9712,7 @@ fi
 
     VORBIS_DESCRIP="Vorbis"
     VORBIS_OPTION="vorbis"
+    PBX_VORBIS=0
 
 # Check whether --with-vorbis was given.
 if test "${with_vorbis+set}" = set; then
@@ -9428,6 +9720,9 @@ if test "${with_vorbis+set}" = set; then
        case ${withval} in
        n|no)
        USE_VORBIS=no
+       # -1 is a magic value used by menuselect to know that the package
+       # was disabled, other than 'not found'
+       PBX_VORBIS=-1
        ;;
        y|ye|yes)
        ac_mandatory_list="${ac_mandatory_list} VORBIS"
@@ -9440,7 +9735,6 @@ if test "${with_vorbis+set}" = set; then
 
 fi
 
-    PBX_VORBIS=0
 
 
 
@@ -9449,6 +9743,7 @@ fi
 
     VPB_DESCRIP="Voicetronix API"
     VPB_OPTION="vpb"
+    PBX_VPB=0
 
 # Check whether --with-vpb was given.
 if test "${with_vpb+set}" = set; then
@@ -9456,6 +9751,9 @@ if test "${with_vpb+set}" = set; then
        case ${withval} in
        n|no)
        USE_VPB=no
+       # -1 is a magic value used by menuselect to know that the package
+       # was disabled, other than 'not found'
+       PBX_VPB=-1
        ;;
        y|ye|yes)
        ac_mandatory_list="${ac_mandatory_list} VPB"
@@ -9468,7 +9766,6 @@ if test "${with_vpb+set}" = set; then
 
 fi
 
-    PBX_VPB=0
 
 
 
@@ -9477,6 +9774,7 @@ fi
 
     X11_DESCRIP="X11 support"
     X11_OPTION="x11"
+    PBX_X11=0
 
 # Check whether --with-x11 was given.
 if test "${with_x11+set}" = set; then
@@ -9484,6 +9782,9 @@ if test "${with_x11+set}" = set; then
        case ${withval} in
        n|no)
        USE_X11=no
+       # -1 is a magic value used by menuselect to know that the package
+       # was disabled, other than 'not found'
+       PBX_X11=-1
        ;;
        y|ye|yes)
        ac_mandatory_list="${ac_mandatory_list} X11"
@@ -9496,7 +9797,6 @@ if test "${with_x11+set}" = set; then
 
 fi
 
-    PBX_X11=0
 
 
 
@@ -9505,6 +9805,7 @@ fi
 
     ZLIB_DESCRIP="zlib"
     ZLIB_OPTION="z"
+    PBX_ZLIB=0
 
 # Check whether --with-z was given.
 if test "${with_z+set}" = set; then
@@ -9512,6 +9813,9 @@ if test "${with_z+set}" = set; then
        case ${withval} in
        n|no)
        USE_ZLIB=no
+       # -1 is a magic value used by menuselect to know that the package
+       # was disabled, other than 'not found'
+       PBX_ZLIB=-1
        ;;
        y|ye|yes)
        ac_mandatory_list="${ac_mandatory_list} ZLIB"
@@ -9524,7 +9828,6 @@ if test "${with_z+set}" = set; then
 
 fi
 
-    PBX_ZLIB=0
 
 
 
@@ -12905,11 +13208,13 @@ _ACEOF
 cat confdefs.h >>conftest.$ac_ext
 cat >>conftest.$ac_ext <<_ACEOF
 /* end confdefs.h.  */
-#include <stdio.h>
+#include <sys/types.h> /* for off_t */
+     #include <stdio.h>
 int
 main ()
 {
-return fseeko (stdin, 0, 0) && (fseeko) (stdin, 0, 0);
+int (*fp) (FILE *, off_t, int) = fseeko;
+     return fseeko (stdin, 0, 0) && fp (stdin, 0, 0);
   ;
   return 0;
 }
@@ -12949,11 +13254,13 @@ cat confdefs.h >>conftest.$ac_ext
 cat >>conftest.$ac_ext <<_ACEOF
 /* end confdefs.h.  */
 #define _LARGEFILE_SOURCE 1
-#include <stdio.h>
+#include <sys/types.h> /* for off_t */
+     #include <stdio.h>
 int
 main ()
 {
-return fseeko (stdin, 0, 0) && (fseeko) (stdin, 0, 0);
+int (*fp) (FILE *, off_t, int) = fseeko;
+     return fseeko (stdin, 0, 0) && fp (stdin, 0, 0);
   ;
   return 0;
 }
@@ -15245,8 +15552,7 @@ done
 
 
 
-
-for ac_func in asprintf atexit bzero dup2 endpwent ftruncate getcwd gethostbyname gethostname getloadavg gettimeofday inet_ntoa isascii localtime_r memchr memmove memset mkdir munmap putenv re_comp regcomp select setenv socket strcasecmp strcasestr strchr strcspn strdup strerror strlcat strlcpy strncasecmp strndup strnlen strrchr strsep strspn strstr strtol strtoq unsetenv utime vasprintf
+for ac_func in asprintf atexit dup2 endpwent ftruncate getcwd gethostbyname gethostname getloadavg gettimeofday inet_ntoa isascii localtime_r memchr memmove memset mkdir munmap putenv re_comp regcomp select setenv socket strcasecmp strcasestr strchr strcspn strdup strerror strlcat strlcpy strncasecmp strndup strnlen strrchr strsep strspn strstr strtol strtoq unsetenv utime vasprintf
 do
 as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`
 { echo "$as_me:$LINENO: checking for $ac_func" >&5
@@ -16707,7 +17013,7 @@ _ACEOF
 cat confdefs.h >>conftest.$ac_ext
 cat >>conftest.$ac_ext <<_ACEOF
 /* end confdefs.h.  */
-static void __attribute__((pure)) *test(void *muffin, ...) {}
+void __attribute__((pure)) *test(void *muffin, ...) {}
 int
 main ()
 {
@@ -16763,7 +17069,7 @@ _ACEOF
 cat confdefs.h >>conftest.$ac_ext
 cat >>conftest.$ac_ext <<_ACEOF
 /* end confdefs.h.  */
-static void __attribute__((malloc)) *test(void *muffin, ...) {}
+void __attribute__((malloc)) *test(void *muffin, ...) {}
 int
 main ()
 {
@@ -16819,7 +17125,7 @@ _ACEOF
 cat confdefs.h >>conftest.$ac_ext
 cat >>conftest.$ac_ext <<_ACEOF
 /* end confdefs.h.  */
-static void __attribute__((const)) *test(void *muffin, ...) {}
+void __attribute__((const)) *test(void *muffin, ...) {}
 int
 main ()
 {
@@ -16875,7 +17181,7 @@ _ACEOF
 cat confdefs.h >>conftest.$ac_ext
 cat >>conftest.$ac_ext <<_ACEOF
 /* end confdefs.h.  */
-static void __attribute__((unused)) *test(void *muffin, ...) {}
+void __attribute__((unused)) *test(void *muffin, ...) {}
 int
 main ()
 {
@@ -16931,7 +17237,7 @@ _ACEOF
 cat confdefs.h >>conftest.$ac_ext
 cat >>conftest.$ac_ext <<_ACEOF
 /* end confdefs.h.  */
-static void __attribute__((always_inline)) *test(void *muffin, ...) {}
+void __attribute__((always_inline)) *test(void *muffin, ...) {}
 int
 main ()
 {
@@ -16987,7 +17293,7 @@ _ACEOF
 cat confdefs.h >>conftest.$ac_ext
 cat >>conftest.$ac_ext <<_ACEOF
 /* end confdefs.h.  */
-static void __attribute__((deprecated)) *test(void *muffin, ...) {}
+void __attribute__((deprecated)) *test(void *muffin, ...) {}
 int
 main ()
 {
@@ -17043,7 +17349,7 @@ _ACEOF
 cat confdefs.h >>conftest.$ac_ext
 cat >>conftest.$ac_ext <<_ACEOF
 /* end confdefs.h.  */
-static void __attribute__((sentinel)) *test(void *muffin, ...) {}
+void __attribute__((sentinel)) *test(void *muffin, ...) {}
 int
 main ()
 {
@@ -17099,7 +17405,7 @@ _ACEOF
 cat confdefs.h >>conftest.$ac_ext
 cat >>conftest.$ac_ext <<_ACEOF
 /* end confdefs.h.  */
-static void __attribute__((warn_unused_result)) *test(void *muffin, ...) {}
+void __attribute__((warn_unused_result)) *test(void *muffin, ...) {}
 int
 main ()
 {
@@ -17145,21 +17451,77 @@ rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
 CFLAGS="$saved_CFLAGS"
 
 
-{ echo "$as_me:$LINENO: checking for -ffunction-sections support" >&5
-echo $ECHO_N "checking for -ffunction-sections support... $ECHO_C" >&6; }
-saved_CFLAGS="${CFLAGS}"
-CFLAGS="${CFLAGS} -ffunction-sections"
+{ echo "$as_me:$LINENO: checking for compiler 'attribute weak' support" >&5
+echo $ECHO_N "checking for compiler 'attribute weak' support... $ECHO_C" >&6; }
+saved_CFLAGS="$CFLAGS"
+CFLAGS="$CFLAGS -Werror"
 cat >conftest.$ac_ext <<_ACEOF
 /* confdefs.h.  */
 _ACEOF
 cat confdefs.h >>conftest.$ac_ext
 cat >>conftest.$ac_ext <<_ACEOF
 /* end confdefs.h.  */
-
+void __attribute__((weak)) *test(void *muffin, ...) {}
 int
 main ()
 {
-int x = 1;
+
+  ;
+  return 0;
+}
+_ACEOF
+rm -f conftest.$ac_objext
+if { (ac_try="$ac_compile"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+  (eval "$ac_compile") 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } && {
+        test -z "$ac_c_werror_flag" ||
+        test ! -s conftest.err
+       } && test -s conftest.$ac_objext; then
+  { echo "$as_me:$LINENO: result: yes" >&5
+echo "${ECHO_T}yes" >&6; }
+
+cat >>confdefs.h <<_ACEOF
+#define HAVE_ATTRIBUTE_weak 1
+_ACEOF
+
+else
+  echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+       { echo "$as_me:$LINENO: result: no" >&5
+echo "${ECHO_T}no" >&6; }
+fi
+
+rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
+
+CFLAGS="$saved_CFLAGS"
+
+
+{ echo "$as_me:$LINENO: checking for -ffunction-sections support" >&5
+echo $ECHO_N "checking for -ffunction-sections support... $ECHO_C" >&6; }
+saved_CFLAGS="${CFLAGS}"
+CFLAGS="${CFLAGS} -ffunction-sections"
+cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+
+int
+main ()
+{
+int x = 1;
   ;
   return 0;
 }
@@ -33347,6 +33709,268 @@ echo "${ECHO_T}no" >&6; }
 fi
 
 
+if test "x${PBX_IODBC}" != "x1" -a "${USE_IODBC}" != "no"; then
+   pbxlibdir=""
+   # if --with-IODBC=DIR has been specified, use it.
+   if test "x${IODBC_DIR}" != "x"; then
+      if test -d ${IODBC_DIR}/lib; then
+        pbxlibdir="-L${IODBC_DIR}/lib"
+      else
+        pbxlibdir="-L${IODBC_DIR}"
+      fi
+   fi
+   pbxfuncname="SQLConnect"
+   if test "x${pbxfuncname}" = "x" ; then   # empty lib, assume only headers
+      AST_IODBC_FOUND=yes
+   else
+      as_ac_Lib=`echo "ac_cv_lib_iodbc_${pbxfuncname}" | $as_tr_sh`
+{ echo "$as_me:$LINENO: checking for ${pbxfuncname} in -liodbc" >&5
+echo $ECHO_N "checking for ${pbxfuncname} in -liodbc... $ECHO_C" >&6; }
+if { as_var=$as_ac_Lib; eval "test \"\${$as_var+set}\" = set"; }; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+  ac_check_lib_save_LIBS=$LIBS
+LIBS="-liodbc ${pbxlibdir} -lpthread $LIBS"
+cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+
+/* Override any GCC internal prototype to avoid an error.
+   Use char because int might match the return type of a GCC
+   builtin and then its argument prototype would still apply.  */
+#ifdef __cplusplus
+extern "C"
+#endif
+char ${pbxfuncname} ();
+int
+main ()
+{
+return ${pbxfuncname} ();
+  ;
+  return 0;
+}
+_ACEOF
+rm -f conftest.$ac_objext conftest$ac_exeext
+if { (ac_try="$ac_link"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+  (eval "$ac_link") 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } && {
+        test -z "$ac_c_werror_flag" ||
+        test ! -s conftest.err
+       } && test -s conftest$ac_exeext &&
+       $as_test_x conftest$ac_exeext; then
+  eval "$as_ac_Lib=yes"
+else
+  echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+       eval "$as_ac_Lib=no"
+fi
+
+rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
+      conftest$ac_exeext conftest.$ac_ext
+LIBS=$ac_check_lib_save_LIBS
+fi
+ac_res=`eval echo '${'$as_ac_Lib'}'`
+              { echo "$as_me:$LINENO: result: $ac_res" >&5
+echo "${ECHO_T}$ac_res" >&6; }
+if test `eval echo '${'$as_ac_Lib'}'` = yes; then
+  AST_IODBC_FOUND=yes
+else
+  AST_IODBC_FOUND=no
+fi
+
+   fi
+
+   # now check for the header.
+   if test "${AST_IODBC_FOUND}" = "yes"; then
+      IODBC_LIB="${pbxlibdir} -liodbc -lpthread"
+      # if --with-IODBC=DIR has been specified, use it.
+      if test "x${IODBC_DIR}" != "x"; then
+        IODBC_INCLUDE="-I${IODBC_DIR}/include"
+      fi
+      IODBC_INCLUDE="${IODBC_INCLUDE} "
+      if test "xsql.h" = "x" ; then    # no header, assume found
+         IODBC_HEADER_FOUND="1"
+      else                             # check for the header
+         saved_cppflags="${CPPFLAGS}"
+         CPPFLAGS="${CPPFLAGS} ${IODBC_INCLUDE}"
+        if test "${ac_cv_header_sql_h+set}" = set; then
+  { echo "$as_me:$LINENO: checking for sql.h" >&5
+echo $ECHO_N "checking for sql.h... $ECHO_C" >&6; }
+if test "${ac_cv_header_sql_h+set}" = set; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+fi
+{ echo "$as_me:$LINENO: result: $ac_cv_header_sql_h" >&5
+echo "${ECHO_T}$ac_cv_header_sql_h" >&6; }
+else
+  # Is the header compilable?
+{ echo "$as_me:$LINENO: checking sql.h usability" >&5
+echo $ECHO_N "checking sql.h usability... $ECHO_C" >&6; }
+cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+$ac_includes_default
+#include <sql.h>
+_ACEOF
+rm -f conftest.$ac_objext
+if { (ac_try="$ac_compile"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+  (eval "$ac_compile") 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } && {
+        test -z "$ac_c_werror_flag" ||
+        test ! -s conftest.err
+       } && test -s conftest.$ac_objext; then
+  ac_header_compiler=yes
+else
+  echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+       ac_header_compiler=no
+fi
+
+rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
+{ echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
+echo "${ECHO_T}$ac_header_compiler" >&6; }
+
+# Is the header present?
+{ echo "$as_me:$LINENO: checking sql.h presence" >&5
+echo $ECHO_N "checking sql.h presence... $ECHO_C" >&6; }
+cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+#include <sql.h>
+_ACEOF
+if { (ac_try="$ac_cpp conftest.$ac_ext"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+  (eval "$ac_cpp conftest.$ac_ext") 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } >/dev/null && {
+        test -z "$ac_c_preproc_warn_flag$ac_c_werror_flag" ||
+        test ! -s conftest.err
+       }; then
+  ac_header_preproc=yes
+else
+  echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+  ac_header_preproc=no
+fi
+
+rm -f conftest.err conftest.$ac_ext
+{ echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
+echo "${ECHO_T}$ac_header_preproc" >&6; }
+
+# So?  What about this header?
+case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
+  yes:no: )
+    { echo "$as_me:$LINENO: WARNING: sql.h: accepted by the compiler, rejected by the preprocessor!" >&5
+echo "$as_me: WARNING: sql.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
+    { echo "$as_me:$LINENO: WARNING: sql.h: proceeding with the compiler's result" >&5
+echo "$as_me: WARNING: sql.h: proceeding with the compiler's result" >&2;}
+    ac_header_preproc=yes
+    ;;
+  no:yes:* )
+    { echo "$as_me:$LINENO: WARNING: sql.h: present but cannot be compiled" >&5
+echo "$as_me: WARNING: sql.h: present but cannot be compiled" >&2;}
+    { echo "$as_me:$LINENO: WARNING: sql.h:     check for missing prerequisite headers?" >&5
+echo "$as_me: WARNING: sql.h:     check for missing prerequisite headers?" >&2;}
+    { echo "$as_me:$LINENO: WARNING: sql.h: see the Autoconf documentation" >&5
+echo "$as_me: WARNING: sql.h: see the Autoconf documentation" >&2;}
+    { echo "$as_me:$LINENO: WARNING: sql.h:     section \"Present But Cannot Be Compiled\"" >&5
+echo "$as_me: WARNING: sql.h:     section \"Present But Cannot Be Compiled\"" >&2;}
+    { echo "$as_me:$LINENO: WARNING: sql.h: proceeding with the preprocessor's result" >&5
+echo "$as_me: WARNING: sql.h: proceeding with the preprocessor's result" >&2;}
+    { echo "$as_me:$LINENO: WARNING: sql.h: in the future, the compiler will take precedence" >&5
+echo "$as_me: WARNING: sql.h: in the future, the compiler will take precedence" >&2;}
+    ( cat <<\_ASBOX
+## ------------------------------- ##
+## Report this to www.asterisk.org ##
+## ------------------------------- ##
+_ASBOX
+     ) | sed "s/^/$as_me: WARNING:     /" >&2
+    ;;
+esac
+{ echo "$as_me:$LINENO: checking for sql.h" >&5
+echo $ECHO_N "checking for sql.h... $ECHO_C" >&6; }
+if test "${ac_cv_header_sql_h+set}" = set; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+  ac_cv_header_sql_h=$ac_header_preproc
+fi
+{ echo "$as_me:$LINENO: result: $ac_cv_header_sql_h" >&5
+echo "${ECHO_T}$ac_cv_header_sql_h" >&6; }
+
+fi
+if test $ac_cv_header_sql_h = yes; then
+  IODBC_HEADER_FOUND=1
+else
+  IODBC_HEADER_FOUND=0
+fi
+
+
+         CPPFLAGS="${saved_cppflags}"
+      fi
+      if test "x${IODBC_HEADER_FOUND}" = "x0" ; then
+         IODBC_LIB=""
+         IODBC_INCLUDE=""
+      else
+         if test "x${pbxfuncname}" = "x" ; then                # only checking headers -> no library
+           IODBC_LIB=""
+        fi
+         PBX_IODBC=1
+         # XXX don't know how to evaluate the description (third argument) in AC_DEFINE_UNQUOTED
+
+cat >>confdefs.h <<_ACEOF
+#define HAVE_IODBC 1
+_ACEOF
+
+
+cat >>confdefs.h <<_ACEOF
+#define HAVE_IODBC_VERSION
+_ACEOF
+
+      fi
+   fi
+fi
+
+
+
 if test "x${PBX_JACK}" != "x1" -a "${USE_JACK}" != "no"; then
    pbxlibdir=""
    # if --with-JACK=DIR has been specified, use it.
@@ -34133,6 +34757,212 @@ _ACEOF
 fi
 
 
+# Check whether --enable-xmldoc was given.
+if test "${enable_xmldoc+set}" = set; then
+  enableval=$enable_xmldoc; case "${enableval}" in
+               y|ye|yes) disable_xmldoc=no ;;
+               n|no)  disable_xmldoc=yes ;;
+               *) { { echo "$as_me:$LINENO: error: bad value ${enableval} for --disable-xmldoc" >&5
+echo "$as_me: error: bad value ${enableval} for --disable-xmldoc" >&2;}
+   { (exit 1); exit 1; }; }  ;;
+       esac
+else
+  disable_xmldoc=no
+fi
+
+
+if test "${disable_xmldoc}" != "yes"; then
+
+    if test "x${PBX_LIBXML2}" != "x1" -a "${USE_LIBXML2}" != "no"; then
+       PBX_LIBXML2=0
+       if test -n "$ac_tool_prefix"; then
+  # Extract the first word of "${ac_tool_prefix}xml2-config", so it can be a program name with args.
+set dummy ${ac_tool_prefix}xml2-config; ac_word=$2
+{ echo "$as_me:$LINENO: checking for $ac_word" >&5
+echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6; }
+if test "${ac_cv_prog_CONFIG_LIBXML2+set}" = set; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+  if test -n "$CONFIG_LIBXML2"; then
+  ac_cv_prog_CONFIG_LIBXML2="$CONFIG_LIBXML2" # Let the user override the test.
+else
+as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
+for as_dir in $PATH
+do
+  IFS=$as_save_IFS
+  test -z "$as_dir" && as_dir=.
+  for ac_exec_ext in '' $ac_executable_extensions; do
+  if { test -f "$as_dir/$ac_word$ac_exec_ext" && $as_test_x "$as_dir/$ac_word$ac_exec_ext"; }; then
+    ac_cv_prog_CONFIG_LIBXML2="${ac_tool_prefix}xml2-config"
+    echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
+    break 2
+  fi
+done
+done
+IFS=$as_save_IFS
+
+fi
+fi
+CONFIG_LIBXML2=$ac_cv_prog_CONFIG_LIBXML2
+if test -n "$CONFIG_LIBXML2"; then
+  { echo "$as_me:$LINENO: result: $CONFIG_LIBXML2" >&5
+echo "${ECHO_T}$CONFIG_LIBXML2" >&6; }
+else
+  { echo "$as_me:$LINENO: result: no" >&5
+echo "${ECHO_T}no" >&6; }
+fi
+
+
+fi
+if test -z "$ac_cv_prog_CONFIG_LIBXML2"; then
+  ac_ct_CONFIG_LIBXML2=$CONFIG_LIBXML2
+  # Extract the first word of "xml2-config", so it can be a program name with args.
+set dummy xml2-config; ac_word=$2
+{ echo "$as_me:$LINENO: checking for $ac_word" >&5
+echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6; }
+if test "${ac_cv_prog_ac_ct_CONFIG_LIBXML2+set}" = set; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+  if test -n "$ac_ct_CONFIG_LIBXML2"; then
+  ac_cv_prog_ac_ct_CONFIG_LIBXML2="$ac_ct_CONFIG_LIBXML2" # Let the user override the test.
+else
+as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
+for as_dir in $PATH
+do
+  IFS=$as_save_IFS
+  test -z "$as_dir" && as_dir=.
+  for ac_exec_ext in '' $ac_executable_extensions; do
+  if { test -f "$as_dir/$ac_word$ac_exec_ext" && $as_test_x "$as_dir/$ac_word$ac_exec_ext"; }; then
+    ac_cv_prog_ac_ct_CONFIG_LIBXML2="xml2-config"
+    echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
+    break 2
+  fi
+done
+done
+IFS=$as_save_IFS
+
+fi
+fi
+ac_ct_CONFIG_LIBXML2=$ac_cv_prog_ac_ct_CONFIG_LIBXML2
+if test -n "$ac_ct_CONFIG_LIBXML2"; then
+  { echo "$as_me:$LINENO: result: $ac_ct_CONFIG_LIBXML2" >&5
+echo "${ECHO_T}$ac_ct_CONFIG_LIBXML2" >&6; }
+else
+  { echo "$as_me:$LINENO: result: no" >&5
+echo "${ECHO_T}no" >&6; }
+fi
+
+  if test "x$ac_ct_CONFIG_LIBXML2" = x; then
+    CONFIG_LIBXML2="No"
+  else
+    case $cross_compiling:$ac_tool_warned in
+yes:)
+{ echo "$as_me:$LINENO: WARNING: In the future, Autoconf will not detect cross-tools
+whose name does not start with the host triplet.  If you think this
+configuration is useful to you, please write to autoconf@gnu.org." >&5
+echo "$as_me: WARNING: In the future, Autoconf will not detect cross-tools
+whose name does not start with the host triplet.  If you think this
+configuration is useful to you, please write to autoconf@gnu.org." >&2;}
+ac_tool_warned=yes ;;
+esac
+    CONFIG_LIBXML2=$ac_ct_CONFIG_LIBXML2
+  fi
+else
+  CONFIG_LIBXML2="$ac_cv_prog_CONFIG_LIBXML2"
+fi
+
+       if test ! "x${CONFIG_LIBXML2}" = xNo; then
+           if test x"" = x ; then A=--cflags ; else A="" ; fi
+           LIBXML2_INCLUDE=$(${CONFIG_LIBXML2} $A)
+           if test x"" = x ; then A=--libs ; else A="" ; fi
+           LIBXML2_LIB=$(${CONFIG_LIBXML2} $A)
+           if test x"#include <libxml/tree.h>
+       #include <libxml/parser.h>" != x ; then
+               saved_cppflags="${CPPFLAGS}"
+               if test "x${LIBXML2_DIR}" != "x"; then
+                   LIBXML2_INCLUDE="-I${LIBXML2_DIR}/include"
+               fi
+               CPPFLAGS="${CPPFLAGS} ${LIBXML2_INCLUDE}"
+
+               saved_ldflags="${LDFLAGS}"
+               LDFLAGS="${LIBXML2_LIB}"
+
+               cat >conftest.$ac_ext <<_ACEOF
+ /* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+ #include <libxml/tree.h>
+       #include <libxml/parser.h>
+int
+main ()
+{
+ LIBXML_TEST_VERSION;
+
+  ;
+  return 0;
+}
+_ACEOF
+rm -f conftest.$ac_objext conftest$ac_exeext
+if { (ac_try="$ac_link"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+  (eval "$ac_link") 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } && {
+        test -z "$ac_c_werror_flag" ||
+        test ! -s conftest.err
+       } && test -s conftest$ac_exeext &&
+       $as_test_x conftest$ac_exeext; then
+     PBX_LIBXML2=1
+
+cat >>confdefs.h <<\_ACEOF
+#define HAVE_LIBXML2 1
+_ACEOF
+
+
+else
+  echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+
+
+fi
+
+rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
+      conftest$ac_exeext conftest.$ac_ext
+               CPPFLAGS="${saved_cppflags}"
+               LDFLAGS="${saved_ldflags}"
+           else
+               PBX_LIBXML2=1
+
+cat >>confdefs.h <<\_ACEOF
+#define HAVE_LIBXML2 1
+_ACEOF
+
+           fi
+       fi
+    fi
+
+       if test "${PBX_LIBXML2}" != 1; then
+               { echo "$as_me:$LINENO: *** XML documentation will not be available because the 'libxml2' development package is missing." >&5
+echo "$as_me: *** XML documentation will not be available because the 'libxml2' development package is missing." >&6;}
+               { echo "$as_me:$LINENO: *** Please run the 'configure' script with the '--disable-xmldoc' parameter option" >&5
+echo "$as_me: *** Please run the 'configure' script with the '--disable-xmldoc' parameter option" >&6;}
+               { echo "$as_me:$LINENO: *** or install the 'libxml2' development package." >&5
+echo "$as_me: *** or install the 'libxml2' development package." >&6;}
+               exit 1
+       fi
+fi
+
 
 if test "x${PBX_MISDN}" != "x1" -a "${USE_MISDN}" != "no"; then
    pbxlibdir=""
@@ -36442,6 +37272,12 @@ _ACEOF
 fi
 
 
+PBX_ODBC=0
+if test "$PBX_IODBC" = "1" -o "$PBX_UNIXODBC" = "1"; then
+   PBX_ODBC=1
+fi
+
+
 
 if test "x${PBX_OGG}" != "x1" -a "${USE_OGG}" != "no"; then
    pbxlibdir=""
@@ -38877,7 +39713,7 @@ if test "x${PBX_PRI}" != "x1" -a "${USE_PRI}" != "no"; then
         pbxlibdir="-L${PRI_DIR}"
       fi
    fi
-   pbxfuncname="pri_get_version"
+   pbxfuncname="pri_progress_with_cause"
    if test "x${pbxfuncname}" = "x" ; then   # empty lib, assume only headers
       AST_PRI_FOUND=yes
    else
@@ -42871,7 +43707,7 @@ if { as_var=$as_ac_Lib; eval "test \"\${$as_var+set}\" = set"; }; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   ac_check_lib_save_LIBS=$LIBS
-LIBS="-lSaClm ${pbxlibdir} -L/usr/lib/openais $LIBS"
+LIBS="-lSaClm ${pbxlibdir} -L/usr/lib/openais -L/usr/lib64/openais $LIBS"
 cat >conftest.$ac_ext <<_ACEOF
 /* confdefs.h.  */
 _ACEOF
@@ -42937,7 +43773,7 @@ fi
 
    # now check for the header.
    if test "${AST_OPENAIS_FOUND}" = "yes"; then
-      OPENAIS_LIB="${pbxlibdir} -lSaClm -L/usr/lib/openais"
+      OPENAIS_LIB="${pbxlibdir} -lSaClm -L/usr/lib/openais -L/usr/lib64/openais"
       # if --with-OPENAIS=DIR has been specified, use it.
       if test "x${OPENAIS_DIR}" != "x"; then
         OPENAIS_INCLUDE="-I${OPENAIS_DIR}/include"
@@ -43118,7 +43954,7 @@ if test "${PBX_OPENAIS}" = 1; then
       AIS_LIB="-lSaEvt ${OPENAIS_LIB}"
    else
       AIS_INCLUDE="-I/usr/include/openais"
-      AIS_LIB="-lSaClm -lSaEvt -L/usr/lib/openais"
+      AIS_LIB="-lSaClm -lSaEvt -L/usr/lib/openais -L/usr/lib64/openais"
    fi
 fi
 
@@ -46547,38 +47383,300 @@ ac_res=`eval echo '${'$as_ac_Lib'}'`
               { echo "$as_me:$LINENO: result: $ac_res" >&5
 echo "${ECHO_T}$ac_res" >&6; }
 if test `eval echo '${'$as_ac_Lib'}'` = yes; then
-  AST_TONEZONE_FOUND=yes
+  AST_TONEZONE_FOUND=yes
+else
+  AST_TONEZONE_FOUND=no
+fi
+
+   fi
+
+   # now check for the header.
+   if test "${AST_TONEZONE_FOUND}" = "yes"; then
+      TONEZONE_LIB="${pbxlibdir} -ltonezone ${tonezone_extra} ${DAHDI_INCLUDE}"
+      # if --with-TONEZONE=DIR has been specified, use it.
+      if test "x${TONEZONE_DIR}" != "x"; then
+        TONEZONE_INCLUDE="-I${TONEZONE_DIR}/include"
+      fi
+      TONEZONE_INCLUDE="${TONEZONE_INCLUDE} "
+      if test "xdahdi/tonezone.h" = "x" ; then # no header, assume found
+         TONEZONE_HEADER_FOUND="1"
+      else                             # check for the header
+         saved_cppflags="${CPPFLAGS}"
+         CPPFLAGS="${CPPFLAGS} ${TONEZONE_INCLUDE}"
+        if test "${ac_cv_header_dahdi_tonezone_h+set}" = set; then
+  { echo "$as_me:$LINENO: checking for dahdi/tonezone.h" >&5
+echo $ECHO_N "checking for dahdi/tonezone.h... $ECHO_C" >&6; }
+if test "${ac_cv_header_dahdi_tonezone_h+set}" = set; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+fi
+{ echo "$as_me:$LINENO: result: $ac_cv_header_dahdi_tonezone_h" >&5
+echo "${ECHO_T}$ac_cv_header_dahdi_tonezone_h" >&6; }
+else
+  # Is the header compilable?
+{ echo "$as_me:$LINENO: checking dahdi/tonezone.h usability" >&5
+echo $ECHO_N "checking dahdi/tonezone.h usability... $ECHO_C" >&6; }
+cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+$ac_includes_default
+#include <dahdi/tonezone.h>
+_ACEOF
+rm -f conftest.$ac_objext
+if { (ac_try="$ac_compile"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+  (eval "$ac_compile") 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } && {
+        test -z "$ac_c_werror_flag" ||
+        test ! -s conftest.err
+       } && test -s conftest.$ac_objext; then
+  ac_header_compiler=yes
+else
+  echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+       ac_header_compiler=no
+fi
+
+rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
+{ echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
+echo "${ECHO_T}$ac_header_compiler" >&6; }
+
+# Is the header present?
+{ echo "$as_me:$LINENO: checking dahdi/tonezone.h presence" >&5
+echo $ECHO_N "checking dahdi/tonezone.h presence... $ECHO_C" >&6; }
+cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+#include <dahdi/tonezone.h>
+_ACEOF
+if { (ac_try="$ac_cpp conftest.$ac_ext"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+  (eval "$ac_cpp conftest.$ac_ext") 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } >/dev/null && {
+        test -z "$ac_c_preproc_warn_flag$ac_c_werror_flag" ||
+        test ! -s conftest.err
+       }; then
+  ac_header_preproc=yes
+else
+  echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+  ac_header_preproc=no
+fi
+
+rm -f conftest.err conftest.$ac_ext
+{ echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
+echo "${ECHO_T}$ac_header_preproc" >&6; }
+
+# So?  What about this header?
+case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
+  yes:no: )
+    { echo "$as_me:$LINENO: WARNING: dahdi/tonezone.h: accepted by the compiler, rejected by the preprocessor!" >&5
+echo "$as_me: WARNING: dahdi/tonezone.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
+    { echo "$as_me:$LINENO: WARNING: dahdi/tonezone.h: proceeding with the compiler's result" >&5
+echo "$as_me: WARNING: dahdi/tonezone.h: proceeding with the compiler's result" >&2;}
+    ac_header_preproc=yes
+    ;;
+  no:yes:* )
+    { echo "$as_me:$LINENO: WARNING: dahdi/tonezone.h: present but cannot be compiled" >&5
+echo "$as_me: WARNING: dahdi/tonezone.h: present but cannot be compiled" >&2;}
+    { echo "$as_me:$LINENO: WARNING: dahdi/tonezone.h:     check for missing prerequisite headers?" >&5
+echo "$as_me: WARNING: dahdi/tonezone.h:     check for missing prerequisite headers?" >&2;}
+    { echo "$as_me:$LINENO: WARNING: dahdi/tonezone.h: see the Autoconf documentation" >&5
+echo "$as_me: WARNING: dahdi/tonezone.h: see the Autoconf documentation" >&2;}
+    { echo "$as_me:$LINENO: WARNING: dahdi/tonezone.h:     section \"Present But Cannot Be Compiled\"" >&5
+echo "$as_me: WARNING: dahdi/tonezone.h:     section \"Present But Cannot Be Compiled\"" >&2;}
+    { echo "$as_me:$LINENO: WARNING: dahdi/tonezone.h: proceeding with the preprocessor's result" >&5
+echo "$as_me: WARNING: dahdi/tonezone.h: proceeding with the preprocessor's result" >&2;}
+    { echo "$as_me:$LINENO: WARNING: dahdi/tonezone.h: in the future, the compiler will take precedence" >&5
+echo "$as_me: WARNING: dahdi/tonezone.h: in the future, the compiler will take precedence" >&2;}
+    ( cat <<\_ASBOX
+## ------------------------------- ##
+## Report this to www.asterisk.org ##
+## ------------------------------- ##
+_ASBOX
+     ) | sed "s/^/$as_me: WARNING:     /" >&2
+    ;;
+esac
+{ echo "$as_me:$LINENO: checking for dahdi/tonezone.h" >&5
+echo $ECHO_N "checking for dahdi/tonezone.h... $ECHO_C" >&6; }
+if test "${ac_cv_header_dahdi_tonezone_h+set}" = set; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+  ac_cv_header_dahdi_tonezone_h=$ac_header_preproc
+fi
+{ echo "$as_me:$LINENO: result: $ac_cv_header_dahdi_tonezone_h" >&5
+echo "${ECHO_T}$ac_cv_header_dahdi_tonezone_h" >&6; }
+
+fi
+if test $ac_cv_header_dahdi_tonezone_h = yes; then
+  TONEZONE_HEADER_FOUND=1
+else
+  TONEZONE_HEADER_FOUND=0
+fi
+
+
+         CPPFLAGS="${saved_cppflags}"
+      fi
+      if test "x${TONEZONE_HEADER_FOUND}" = "x0" ; then
+         TONEZONE_LIB=""
+         TONEZONE_INCLUDE=""
+      else
+         if test "x${pbxfuncname}" = "x" ; then                # only checking headers -> no library
+           TONEZONE_LIB=""
+        fi
+         PBX_TONEZONE=1
+         # XXX don't know how to evaluate the description (third argument) in AC_DEFINE_UNQUOTED
+
+cat >>confdefs.h <<_ACEOF
+#define HAVE_TONEZONE 1
+_ACEOF
+
+
+cat >>confdefs.h <<_ACEOF
+#define HAVE_TONEZONE_VERSION
+_ACEOF
+
+      fi
+   fi
+fi
+
+
+
+if test "x${PBX_USB}" != "x1" -a "${USE_USB}" != "no"; then
+   pbxlibdir=""
+   # if --with-USB=DIR has been specified, use it.
+   if test "x${USB_DIR}" != "x"; then
+      if test -d ${USB_DIR}/lib; then
+        pbxlibdir="-L${USB_DIR}/lib"
+      else
+        pbxlibdir="-L${USB_DIR}"
+      fi
+   fi
+   pbxfuncname="usb_init"
+   if test "x${pbxfuncname}" = "x" ; then   # empty lib, assume only headers
+      AST_USB_FOUND=yes
+   else
+      as_ac_Lib=`echo "ac_cv_lib_usb_${pbxfuncname}" | $as_tr_sh`
+{ echo "$as_me:$LINENO: checking for ${pbxfuncname} in -lusb" >&5
+echo $ECHO_N "checking for ${pbxfuncname} in -lusb... $ECHO_C" >&6; }
+if { as_var=$as_ac_Lib; eval "test \"\${$as_var+set}\" = set"; }; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+  ac_check_lib_save_LIBS=$LIBS
+LIBS="-lusb ${pbxlibdir}  $LIBS"
+cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+
+/* Override any GCC internal prototype to avoid an error.
+   Use char because int might match the return type of a GCC
+   builtin and then its argument prototype would still apply.  */
+#ifdef __cplusplus
+extern "C"
+#endif
+char ${pbxfuncname} ();
+int
+main ()
+{
+return ${pbxfuncname} ();
+  ;
+  return 0;
+}
+_ACEOF
+rm -f conftest.$ac_objext conftest$ac_exeext
+if { (ac_try="$ac_link"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+  (eval "$ac_link") 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } && {
+        test -z "$ac_c_werror_flag" ||
+        test ! -s conftest.err
+       } && test -s conftest$ac_exeext &&
+       $as_test_x conftest$ac_exeext; then
+  eval "$as_ac_Lib=yes"
+else
+  echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+       eval "$as_ac_Lib=no"
+fi
+
+rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
+      conftest$ac_exeext conftest.$ac_ext
+LIBS=$ac_check_lib_save_LIBS
+fi
+ac_res=`eval echo '${'$as_ac_Lib'}'`
+              { echo "$as_me:$LINENO: result: $ac_res" >&5
+echo "${ECHO_T}$ac_res" >&6; }
+if test `eval echo '${'$as_ac_Lib'}'` = yes; then
+  AST_USB_FOUND=yes
 else
-  AST_TONEZONE_FOUND=no
+  AST_USB_FOUND=no
 fi
 
    fi
 
    # now check for the header.
-   if test "${AST_TONEZONE_FOUND}" = "yes"; then
-      TONEZONE_LIB="${pbxlibdir} -ltonezone ${tonezone_extra} ${DAHDI_INCLUDE}"
-      # if --with-TONEZONE=DIR has been specified, use it.
-      if test "x${TONEZONE_DIR}" != "x"; then
-        TONEZONE_INCLUDE="-I${TONEZONE_DIR}/include"
+   if test "${AST_USB_FOUND}" = "yes"; then
+      USB_LIB="${pbxlibdir} -lusb "
+      # if --with-USB=DIR has been specified, use it.
+      if test "x${USB_DIR}" != "x"; then
+        USB_INCLUDE="-I${USB_DIR}/include"
       fi
-      TONEZONE_INCLUDE="${TONEZONE_INCLUDE} "
-      if test "xdahdi/tonezone.h" = "x" ; then # no header, assume found
-         TONEZONE_HEADER_FOUND="1"
+      USB_INCLUDE="${USB_INCLUDE} "
+      if test "xusb.h" = "x" ; then    # no header, assume found
+         USB_HEADER_FOUND="1"
       else                             # check for the header
          saved_cppflags="${CPPFLAGS}"
-         CPPFLAGS="${CPPFLAGS} ${TONEZONE_INCLUDE}"
-        if test "${ac_cv_header_dahdi_tonezone_h+set}" = set; then
-  { echo "$as_me:$LINENO: checking for dahdi/tonezone.h" >&5
-echo $ECHO_N "checking for dahdi/tonezone.h... $ECHO_C" >&6; }
-if test "${ac_cv_header_dahdi_tonezone_h+set}" = set; then
+         CPPFLAGS="${CPPFLAGS} ${USB_INCLUDE}"
+        if test "${ac_cv_header_usb_h+set}" = set; then
+  { echo "$as_me:$LINENO: checking for usb.h" >&5
+echo $ECHO_N "checking for usb.h... $ECHO_C" >&6; }
+if test "${ac_cv_header_usb_h+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 fi
-{ echo "$as_me:$LINENO: result: $ac_cv_header_dahdi_tonezone_h" >&5
-echo "${ECHO_T}$ac_cv_header_dahdi_tonezone_h" >&6; }
+{ echo "$as_me:$LINENO: result: $ac_cv_header_usb_h" >&5
+echo "${ECHO_T}$ac_cv_header_usb_h" >&6; }
 else
   # Is the header compilable?
-{ echo "$as_me:$LINENO: checking dahdi/tonezone.h usability" >&5
-echo $ECHO_N "checking dahdi/tonezone.h usability... $ECHO_C" >&6; }
+{ echo "$as_me:$LINENO: checking usb.h usability" >&5
+echo $ECHO_N "checking usb.h usability... $ECHO_C" >&6; }
 cat >conftest.$ac_ext <<_ACEOF
 /* confdefs.h.  */
 _ACEOF
@@ -46586,7 +47684,7 @@ cat confdefs.h >>conftest.$ac_ext
 cat >>conftest.$ac_ext <<_ACEOF
 /* end confdefs.h.  */
 $ac_includes_default
-#include <dahdi/tonezone.h>
+#include <usb.h>
 _ACEOF
 rm -f conftest.$ac_objext
 if { (ac_try="$ac_compile"
@@ -46618,15 +47716,15 @@ rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
 echo "${ECHO_T}$ac_header_compiler" >&6; }
 
 # Is the header present?
-{ echo "$as_me:$LINENO: checking dahdi/tonezone.h presence" >&5
-echo $ECHO_N "checking dahdi/tonezone.h presence... $ECHO_C" >&6; }
+{ echo "$as_me:$LINENO: checking usb.h presence" >&5
+echo $ECHO_N "checking usb.h presence... $ECHO_C" >&6; }
 cat >conftest.$ac_ext <<_ACEOF
 /* confdefs.h.  */
 _ACEOF
 cat confdefs.h >>conftest.$ac_ext
 cat >>conftest.$ac_ext <<_ACEOF
 /* end confdefs.h.  */
-#include <dahdi/tonezone.h>
+#include <usb.h>
 _ACEOF
 if { (ac_try="$ac_cpp conftest.$ac_ext"
 case "(($ac_try" in
@@ -46659,25 +47757,25 @@ echo "${ECHO_T}$ac_header_preproc" >&6; }
 # So?  What about this header?
 case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
   yes:no: )
-    { echo "$as_me:$LINENO: WARNING: dahdi/tonezone.h: accepted by the compiler, rejected by the preprocessor!" >&5
-echo "$as_me: WARNING: dahdi/tonezone.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
-    { echo "$as_me:$LINENO: WARNING: dahdi/tonezone.h: proceeding with the compiler's result" >&5
-echo "$as_me: WARNING: dahdi/tonezone.h: proceeding with the compiler's result" >&2;}
+    { echo "$as_me:$LINENO: WARNING: usb.h: accepted by the compiler, rejected by the preprocessor!" >&5
+echo "$as_me: WARNING: usb.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
+    { echo "$as_me:$LINENO: WARNING: usb.h: proceeding with the compiler's result" >&5
+echo "$as_me: WARNING: usb.h: proceeding with the compiler's result" >&2;}
     ac_header_preproc=yes
     ;;
   no:yes:* )
-    { echo "$as_me:$LINENO: WARNING: dahdi/tonezone.h: present but cannot be compiled" >&5
-echo "$as_me: WARNING: dahdi/tonezone.h: present but cannot be compiled" >&2;}
-    { echo "$as_me:$LINENO: WARNING: dahdi/tonezone.h:     check for missing prerequisite headers?" >&5
-echo "$as_me: WARNING: dahdi/tonezone.h:     check for missing prerequisite headers?" >&2;}
-    { echo "$as_me:$LINENO: WARNING: dahdi/tonezone.h: see the Autoconf documentation" >&5
-echo "$as_me: WARNING: dahdi/tonezone.h: see the Autoconf documentation" >&2;}
-    { echo "$as_me:$LINENO: WARNING: dahdi/tonezone.h:     section \"Present But Cannot Be Compiled\"" >&5
-echo "$as_me: WARNING: dahdi/tonezone.h:     section \"Present But Cannot Be Compiled\"" >&2;}
-    { echo "$as_me:$LINENO: WARNING: dahdi/tonezone.h: proceeding with the preprocessor's result" >&5
-echo "$as_me: WARNING: dahdi/tonezone.h: proceeding with the preprocessor's result" >&2;}
-    { echo "$as_me:$LINENO: WARNING: dahdi/tonezone.h: in the future, the compiler will take precedence" >&5
-echo "$as_me: WARNING: dahdi/tonezone.h: in the future, the compiler will take precedence" >&2;}
+    { echo "$as_me:$LINENO: WARNING: usb.h: present but cannot be compiled" >&5
+echo "$as_me: WARNING: usb.h: present but cannot be compiled" >&2;}
+    { echo "$as_me:$LINENO: WARNING: usb.h:     check for missing prerequisite headers?" >&5
+echo "$as_me: WARNING: usb.h:     check for missing prerequisite headers?" >&2;}
+    { echo "$as_me:$LINENO: WARNING: usb.h: see the Autoconf documentation" >&5
+echo "$as_me: WARNING: usb.h: see the Autoconf documentation" >&2;}
+    { echo "$as_me:$LINENO: WARNING: usb.h:     section \"Present But Cannot Be Compiled\"" >&5
+echo "$as_me: WARNING: usb.h:     section \"Present But Cannot Be Compiled\"" >&2;}
+    { echo "$as_me:$LINENO: WARNING: usb.h: proceeding with the preprocessor's result" >&5
+echo "$as_me: WARNING: usb.h: proceeding with the preprocessor's result" >&2;}
+    { echo "$as_me:$LINENO: WARNING: usb.h: in the future, the compiler will take precedence" >&5
+echo "$as_me: WARNING: usb.h: in the future, the compiler will take precedence" >&2;}
     ( cat <<\_ASBOX
 ## ------------------------------- ##
 ## Report this to www.asterisk.org ##
@@ -46686,43 +47784,43 @@ _ASBOX
      ) | sed "s/^/$as_me: WARNING:     /" >&2
     ;;
 esac
-{ echo "$as_me:$LINENO: checking for dahdi/tonezone.h" >&5
-echo $ECHO_N "checking for dahdi/tonezone.h... $ECHO_C" >&6; }
-if test "${ac_cv_header_dahdi_tonezone_h+set}" = set; then
+{ echo "$as_me:$LINENO: checking for usb.h" >&5
+echo $ECHO_N "checking for usb.h... $ECHO_C" >&6; }
+if test "${ac_cv_header_usb_h+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
-  ac_cv_header_dahdi_tonezone_h=$ac_header_preproc
+  ac_cv_header_usb_h=$ac_header_preproc
 fi
-{ echo "$as_me:$LINENO: result: $ac_cv_header_dahdi_tonezone_h" >&5
-echo "${ECHO_T}$ac_cv_header_dahdi_tonezone_h" >&6; }
+{ echo "$as_me:$LINENO: result: $ac_cv_header_usb_h" >&5
+echo "${ECHO_T}$ac_cv_header_usb_h" >&6; }
 
 fi
-if test $ac_cv_header_dahdi_tonezone_h = yes; then
-  TONEZONE_HEADER_FOUND=1
+if test $ac_cv_header_usb_h = yes; then
+  USB_HEADER_FOUND=1
 else
-  TONEZONE_HEADER_FOUND=0
+  USB_HEADER_FOUND=0
 fi
 
 
          CPPFLAGS="${saved_cppflags}"
       fi
-      if test "x${TONEZONE_HEADER_FOUND}" = "x0" ; then
-         TONEZONE_LIB=""
-         TONEZONE_INCLUDE=""
+      if test "x${USB_HEADER_FOUND}" = "x0" ; then
+         USB_LIB=""
+         USB_INCLUDE=""
       else
          if test "x${pbxfuncname}" = "x" ; then                # only checking headers -> no library
-           TONEZONE_LIB=""
+           USB_LIB=""
         fi
-         PBX_TONEZONE=1
+         PBX_USB=1
          # XXX don't know how to evaluate the description (third argument) in AC_DEFINE_UNQUOTED
 
 cat >>confdefs.h <<_ACEOF
-#define HAVE_TONEZONE 1
+#define HAVE_USB 1
 _ACEOF
 
 
 cat >>confdefs.h <<_ACEOF
-#define HAVE_TONEZONE_VERSION
+#define HAVE_USB_VERSION
 _ACEOF
 
       fi
@@ -46730,29 +47828,31 @@ _ACEOF
 fi
 
 
+if test "${OSARCH}" = "OpenBSD";
+then
 
-if test "x${PBX_USB}" != "x1" -a "${USE_USB}" != "no"; then
+if test "x${PBX_VORBIS}" != "x1" -a "${USE_VORBIS}" != "no"; then
    pbxlibdir=""
-   # if --with-USB=DIR has been specified, use it.
-   if test "x${USB_DIR}" != "x"; then
-      if test -d ${USB_DIR}/lib; then
-        pbxlibdir="-L${USB_DIR}/lib"
+   # if --with-VORBIS=DIR has been specified, use it.
+   if test "x${VORBIS_DIR}" != "x"; then
+      if test -d ${VORBIS_DIR}/lib; then
+        pbxlibdir="-L${VORBIS_DIR}/lib"
       else
-        pbxlibdir="-L${USB_DIR}"
+        pbxlibdir="-L${VORBIS_DIR}"
       fi
    fi
-   pbxfuncname="usb_init"
+   pbxfuncname="vorbis_info_init"
    if test "x${pbxfuncname}" = "x" ; then   # empty lib, assume only headers
-      AST_USB_FOUND=yes
+      AST_VORBIS_FOUND=yes
    else
-      as_ac_Lib=`echo "ac_cv_lib_usb_${pbxfuncname}" | $as_tr_sh`
-{ echo "$as_me:$LINENO: checking for ${pbxfuncname} in -lusb" >&5
-echo $ECHO_N "checking for ${pbxfuncname} in -lusb... $ECHO_C" >&6; }
+      as_ac_Lib=`echo "ac_cv_lib_vorbis_${pbxfuncname}" | $as_tr_sh`
+{ echo "$as_me:$LINENO: checking for ${pbxfuncname} in -lvorbis" >&5
+echo $ECHO_N "checking for ${pbxfuncname} in -lvorbis... $ECHO_C" >&6; }
 if { as_var=$as_ac_Lib; eval "test \"\${$as_var+set}\" = set"; }; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   ac_check_lib_save_LIBS=$LIBS
-LIBS="-lusb ${pbxlibdir}  $LIBS"
+LIBS="-lvorbis ${pbxlibdir} -lm -lvorbisenc -logg $LIBS"
 cat >conftest.$ac_ext <<_ACEOF
 /* confdefs.h.  */
 _ACEOF
@@ -46809,38 +47909,38 @@ ac_res=`eval echo '${'$as_ac_Lib'}'`
               { echo "$as_me:$LINENO: result: $ac_res" >&5
 echo "${ECHO_T}$ac_res" >&6; }
 if test `eval echo '${'$as_ac_Lib'}'` = yes; then
-  AST_USB_FOUND=yes
+  AST_VORBIS_FOUND=yes
 else
-  AST_USB_FOUND=no
+  AST_VORBIS_FOUND=no
 fi
 
    fi
 
    # now check for the header.
-   if test "${AST_USB_FOUND}" = "yes"; then
-      USB_LIB="${pbxlibdir} -lusb "
-      # if --with-USB=DIR has been specified, use it.
-      if test "x${USB_DIR}" != "x"; then
-        USB_INCLUDE="-I${USB_DIR}/include"
+   if test "${AST_VORBIS_FOUND}" = "yes"; then
+      VORBIS_LIB="${pbxlibdir} -lvorbis -lm -lvorbisenc -logg"
+      # if --with-VORBIS=DIR has been specified, use it.
+      if test "x${VORBIS_DIR}" != "x"; then
+        VORBIS_INCLUDE="-I${VORBIS_DIR}/include"
       fi
-      USB_INCLUDE="${USB_INCLUDE} "
-      if test "xusb.h" = "x" ; then    # no header, assume found
-         USB_HEADER_FOUND="1"
+      VORBIS_INCLUDE="${VORBIS_INCLUDE} "
+      if test "xvorbis/codec.h" = "x" ; then   # no header, assume found
+         VORBIS_HEADER_FOUND="1"
       else                             # check for the header
          saved_cppflags="${CPPFLAGS}"
-         CPPFLAGS="${CPPFLAGS} ${USB_INCLUDE}"
-        if test "${ac_cv_header_usb_h+set}" = set; then
-  { echo "$as_me:$LINENO: checking for usb.h" >&5
-echo $ECHO_N "checking for usb.h... $ECHO_C" >&6; }
-if test "${ac_cv_header_usb_h+set}" = set; then
+         CPPFLAGS="${CPPFLAGS} ${VORBIS_INCLUDE}"
+        if test "${ac_cv_header_vorbis_codec_h+set}" = set; then
+  { echo "$as_me:$LINENO: checking for vorbis/codec.h" >&5
+echo $ECHO_N "checking for vorbis/codec.h... $ECHO_C" >&6; }
+if test "${ac_cv_header_vorbis_codec_h+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 fi
-{ echo "$as_me:$LINENO: result: $ac_cv_header_usb_h" >&5
-echo "${ECHO_T}$ac_cv_header_usb_h" >&6; }
+{ echo "$as_me:$LINENO: result: $ac_cv_header_vorbis_codec_h" >&5
+echo "${ECHO_T}$ac_cv_header_vorbis_codec_h" >&6; }
 else
   # Is the header compilable?
-{ echo "$as_me:$LINENO: checking usb.h usability" >&5
-echo $ECHO_N "checking usb.h usability... $ECHO_C" >&6; }
+{ echo "$as_me:$LINENO: checking vorbis/codec.h usability" >&5
+echo $ECHO_N "checking vorbis/codec.h usability... $ECHO_C" >&6; }
 cat >conftest.$ac_ext <<_ACEOF
 /* confdefs.h.  */
 _ACEOF
@@ -46848,7 +47948,7 @@ cat confdefs.h >>conftest.$ac_ext
 cat >>conftest.$ac_ext <<_ACEOF
 /* end confdefs.h.  */
 $ac_includes_default
-#include <usb.h>
+#include <vorbis/codec.h>
 _ACEOF
 rm -f conftest.$ac_objext
 if { (ac_try="$ac_compile"
@@ -46880,15 +47980,15 @@ rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
 echo "${ECHO_T}$ac_header_compiler" >&6; }
 
 # Is the header present?
-{ echo "$as_me:$LINENO: checking usb.h presence" >&5
-echo $ECHO_N "checking usb.h presence... $ECHO_C" >&6; }
+{ echo "$as_me:$LINENO: checking vorbis/codec.h presence" >&5
+echo $ECHO_N "checking vorbis/codec.h presence... $ECHO_C" >&6; }
 cat >conftest.$ac_ext <<_ACEOF
 /* confdefs.h.  */
 _ACEOF
 cat confdefs.h >>conftest.$ac_ext
 cat >>conftest.$ac_ext <<_ACEOF
 /* end confdefs.h.  */
-#include <usb.h>
+#include <vorbis/codec.h>
 _ACEOF
 if { (ac_try="$ac_cpp conftest.$ac_ext"
 case "(($ac_try" in
@@ -46921,25 +48021,25 @@ echo "${ECHO_T}$ac_header_preproc" >&6; }
 # So?  What about this header?
 case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
   yes:no: )
-    { echo "$as_me:$LINENO: WARNING: usb.h: accepted by the compiler, rejected by the preprocessor!" >&5
-echo "$as_me: WARNING: usb.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
-    { echo "$as_me:$LINENO: WARNING: usb.h: proceeding with the compiler's result" >&5
-echo "$as_me: WARNING: usb.h: proceeding with the compiler's result" >&2;}
+    { echo "$as_me:$LINENO: WARNING: vorbis/codec.h: accepted by the compiler, rejected by the preprocessor!" >&5
+echo "$as_me: WARNING: vorbis/codec.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
+    { echo "$as_me:$LINENO: WARNING: vorbis/codec.h: proceeding with the compiler's result" >&5
+echo "$as_me: WARNING: vorbis/codec.h: proceeding with the compiler's result" >&2;}
     ac_header_preproc=yes
     ;;
   no:yes:* )
-    { echo "$as_me:$LINENO: WARNING: usb.h: present but cannot be compiled" >&5
-echo "$as_me: WARNING: usb.h: present but cannot be compiled" >&2;}
-    { echo "$as_me:$LINENO: WARNING: usb.h:     check for missing prerequisite headers?" >&5
-echo "$as_me: WARNING: usb.h:     check for missing prerequisite headers?" >&2;}
-    { echo "$as_me:$LINENO: WARNING: usb.h: see the Autoconf documentation" >&5
-echo "$as_me: WARNING: usb.h: see the Autoconf documentation" >&2;}
-    { echo "$as_me:$LINENO: WARNING: usb.h:     section \"Present But Cannot Be Compiled\"" >&5
-echo "$as_me: WARNING: usb.h:     section \"Present But Cannot Be Compiled\"" >&2;}
-    { echo "$as_me:$LINENO: WARNING: usb.h: proceeding with the preprocessor's result" >&5
-echo "$as_me: WARNING: usb.h: proceeding with the preprocessor's result" >&2;}
-    { echo "$as_me:$LINENO: WARNING: usb.h: in the future, the compiler will take precedence" >&5
-echo "$as_me: WARNING: usb.h: in the future, the compiler will take precedence" >&2;}
+    { echo "$as_me:$LINENO: WARNING: vorbis/codec.h: present but cannot be compiled" >&5
+echo "$as_me: WARNING: vorbis/codec.h: present but cannot be compiled" >&2;}
+    { echo "$as_me:$LINENO: WARNING: vorbis/codec.h:     check for missing prerequisite headers?" >&5
+echo "$as_me: WARNING: vorbis/codec.h:     check for missing prerequisite headers?" >&2;}
+    { echo "$as_me:$LINENO: WARNING: vorbis/codec.h: see the Autoconf documentation" >&5
+echo "$as_me: WARNING: vorbis/codec.h: see the Autoconf documentation" >&2;}
+    { echo "$as_me:$LINENO: WARNING: vorbis/codec.h:     section \"Present But Cannot Be Compiled\"" >&5
+echo "$as_me: WARNING: vorbis/codec.h:     section \"Present But Cannot Be Compiled\"" >&2;}
+    { echo "$as_me:$LINENO: WARNING: vorbis/codec.h: proceeding with the preprocessor's result" >&5
+echo "$as_me: WARNING: vorbis/codec.h: proceeding with the preprocessor's result" >&2;}
+    { echo "$as_me:$LINENO: WARNING: vorbis/codec.h: in the future, the compiler will take precedence" >&5
+echo "$as_me: WARNING: vorbis/codec.h: in the future, the compiler will take precedence" >&2;}
     ( cat <<\_ASBOX
 ## ------------------------------- ##
 ## Report this to www.asterisk.org ##
@@ -46948,50 +48048,50 @@ _ASBOX
      ) | sed "s/^/$as_me: WARNING:     /" >&2
     ;;
 esac
-{ echo "$as_me:$LINENO: checking for usb.h" >&5
-echo $ECHO_N "checking for usb.h... $ECHO_C" >&6; }
-if test "${ac_cv_header_usb_h+set}" = set; then
+{ echo "$as_me:$LINENO: checking for vorbis/codec.h" >&5
+echo $ECHO_N "checking for vorbis/codec.h... $ECHO_C" >&6; }
+if test "${ac_cv_header_vorbis_codec_h+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
-  ac_cv_header_usb_h=$ac_header_preproc
+  ac_cv_header_vorbis_codec_h=$ac_header_preproc
 fi
-{ echo "$as_me:$LINENO: result: $ac_cv_header_usb_h" >&5
-echo "${ECHO_T}$ac_cv_header_usb_h" >&6; }
+{ echo "$as_me:$LINENO: result: $ac_cv_header_vorbis_codec_h" >&5
+echo "${ECHO_T}$ac_cv_header_vorbis_codec_h" >&6; }
 
 fi
-if test $ac_cv_header_usb_h = yes; then
-  USB_HEADER_FOUND=1
+if test $ac_cv_header_vorbis_codec_h = yes; then
+  VORBIS_HEADER_FOUND=1
 else
-  USB_HEADER_FOUND=0
+  VORBIS_HEADER_FOUND=0
 fi
 
 
          CPPFLAGS="${saved_cppflags}"
       fi
-      if test "x${USB_HEADER_FOUND}" = "x0" ; then
-         USB_LIB=""
-         USB_INCLUDE=""
+      if test "x${VORBIS_HEADER_FOUND}" = "x0" ; then
+         VORBIS_LIB=""
+         VORBIS_INCLUDE=""
       else
          if test "x${pbxfuncname}" = "x" ; then                # only checking headers -> no library
-           USB_LIB=""
+           VORBIS_LIB=""
         fi
-         PBX_USB=1
+         PBX_VORBIS=1
          # XXX don't know how to evaluate the description (third argument) in AC_DEFINE_UNQUOTED
 
 cat >>confdefs.h <<_ACEOF
-#define HAVE_USB 1
+#define HAVE_VORBIS 1
 _ACEOF
 
 
 cat >>confdefs.h <<_ACEOF
-#define HAVE_USB_VERSION
+#define HAVE_VORBIS_VERSION
 _ACEOF
 
       fi
    fi
 fi
 
-
+else
 
 if test "x${PBX_VORBIS}" != "x1" -a "${USE_VORBIS}" != "no"; then
    pbxlibdir=""
@@ -47253,6 +48353,7 @@ _ACEOF
    fi
 fi
 
+fi
 
 ac_ext=cpp
 ac_cpp='$CXXCPP $CPPFLAGS'
@@ -50570,10 +51671,10 @@ DOT!$DOT$ac_delim
 WGET!$WGET$ac_delim
 RUBBER!$RUBBER$ac_delim
 KPATHSEA!$KPATHSEA$ac_delim
+XMLSTARLET!$XMLSTARLET$ac_delim
 FETCH!$FETCH$ac_delim
 DOWNLOAD!$DOWNLOAD$ac_delim
 SOXMIX!$SOXMIX$ac_delim
-acx_pthread_config!$acx_pthread_config$ac_delim
 _ACEOF
 
   if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 97; then
@@ -50615,6 +51716,7 @@ _ACEOF
 ac_delim='%!_!# '
 for ac_last_try in false false false false false :; do
   cat >conf$$subs.sed <<_ACEOF
+acx_pthread_config!$acx_pthread_config$ac_delim
 PTHREAD_CC!$PTHREAD_CC$ac_delim
 PTHREAD_LIBS!$PTHREAD_LIBS$ac_delim
 PTHREAD_CFLAGS!$PTHREAD_CFLAGS$ac_delim
@@ -50683,6 +51785,10 @@ IMAP_TK_LIB!$IMAP_TK_LIB$ac_delim
 IMAP_TK_INCLUDE!$IMAP_TK_INCLUDE$ac_delim
 IMAP_TK_DIR!$IMAP_TK_DIR$ac_delim
 PBX_IMAP_TK!$PBX_IMAP_TK$ac_delim
+IODBC_LIB!$IODBC_LIB$ac_delim
+IODBC_INCLUDE!$IODBC_INCLUDE$ac_delim
+IODBC_DIR!$IODBC_DIR$ac_delim
+PBX_IODBC!$PBX_IODBC$ac_delim
 ISDNNET_LIB!$ISDNNET_LIB$ac_delim
 ISDNNET_INCLUDE!$ISDNNET_INCLUDE$ac_delim
 ISDNNET_DIR!$ISDNNET_DIR$ac_delim
@@ -50695,6 +51801,10 @@ LDAP_LIB!$LDAP_LIB$ac_delim
 LDAP_INCLUDE!$LDAP_INCLUDE$ac_delim
 LDAP_DIR!$LDAP_DIR$ac_delim
 PBX_LDAP!$PBX_LDAP$ac_delim
+LIBXML2_LIB!$LIBXML2_LIB$ac_delim
+LIBXML2_INCLUDE!$LIBXML2_INCLUDE$ac_delim
+LIBXML2_DIR!$LIBXML2_DIR$ac_delim
+PBX_LIBXML2!$PBX_LIBXML2$ac_delim
 LTDL_LIB!$LTDL_LIB$ac_delim
 LTDL_INCLUDE!$LTDL_INCLUDE$ac_delim
 LTDL_DIR!$LTDL_DIR$ac_delim
@@ -50703,15 +51813,6 @@ LUA_LIB!$LUA_LIB$ac_delim
 LUA_INCLUDE!$LUA_INCLUDE$ac_delim
 LUA_DIR!$LUA_DIR$ac_delim
 PBX_LUA!$PBX_LUA$ac_delim
-MISDN_LIB!$MISDN_LIB$ac_delim
-MISDN_INCLUDE!$MISDN_INCLUDE$ac_delim
-MISDN_DIR!$MISDN_DIR$ac_delim
-PBX_MISDN!$PBX_MISDN$ac_delim
-NBS_LIB!$NBS_LIB$ac_delim
-NBS_INCLUDE!$NBS_INCLUDE$ac_delim
-NBS_DIR!$NBS_DIR$ac_delim
-PBX_NBS!$PBX_NBS$ac_delim
-NCURSES_LIB!$NCURSES_LIB$ac_delim
 _ACEOF
 
   if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 97; then
@@ -50753,6 +51854,15 @@ _ACEOF
 ac_delim='%!_!# '
 for ac_last_try in false false false false false :; do
   cat >conf$$subs.sed <<_ACEOF
+MISDN_LIB!$MISDN_LIB$ac_delim
+MISDN_INCLUDE!$MISDN_INCLUDE$ac_delim
+MISDN_DIR!$MISDN_DIR$ac_delim
+PBX_MISDN!$PBX_MISDN$ac_delim
+NBS_LIB!$NBS_LIB$ac_delim
+NBS_INCLUDE!$NBS_INCLUDE$ac_delim
+NBS_DIR!$NBS_DIR$ac_delim
+PBX_NBS!$PBX_NBS$ac_delim
+NCURSES_LIB!$NCURSES_LIB$ac_delim
 NCURSES_INCLUDE!$NCURSES_INCLUDE$ac_delim
 NCURSES_DIR!$NCURSES_DIR$ac_delim
 PBX_NCURSES!$PBX_NCURSES$ac_delim
@@ -50764,10 +51874,6 @@ NEWT_LIB!$NEWT_LIB$ac_delim
 NEWT_INCLUDE!$NEWT_INCLUDE$ac_delim
 NEWT_DIR!$NEWT_DIR$ac_delim
 PBX_NEWT!$PBX_NEWT$ac_delim
-UNIXODBC_LIB!$UNIXODBC_LIB$ac_delim
-UNIXODBC_INCLUDE!$UNIXODBC_INCLUDE$ac_delim
-UNIXODBC_DIR!$UNIXODBC_DIR$ac_delim
-PBX_UNIXODBC!$PBX_UNIXODBC$ac_delim
 OGG_LIB!$OGG_LIB$ac_delim
 OGG_INCLUDE!$OGG_INCLUDE$ac_delim
 OGG_DIR!$OGG_DIR$ac_delim
@@ -50845,11 +51951,6 @@ SQLITE_INCLUDE!$SQLITE_INCLUDE$ac_delim
 SQLITE_DIR!$SQLITE_DIR$ac_delim
 PBX_SQLITE!$PBX_SQLITE$ac_delim
 SQLITE3_LIB!$SQLITE3_LIB$ac_delim
-SQLITE3_INCLUDE!$SQLITE3_INCLUDE$ac_delim
-SQLITE3_DIR!$SQLITE3_DIR$ac_delim
-PBX_SQLITE3!$PBX_SQLITE3$ac_delim
-SUPPSERV_LIB!$SUPPSERV_LIB$ac_delim
-SUPPSERV_INCLUDE!$SUPPSERV_INCLUDE$ac_delim
 _ACEOF
 
   if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 97; then
@@ -50891,6 +51992,11 @@ _ACEOF
 ac_delim='%!_!# '
 for ac_last_try in false false false false false :; do
   cat >conf$$subs.sed <<_ACEOF
+SQLITE3_INCLUDE!$SQLITE3_INCLUDE$ac_delim
+SQLITE3_DIR!$SQLITE3_DIR$ac_delim
+PBX_SQLITE3!$PBX_SQLITE3$ac_delim
+SUPPSERV_LIB!$SUPPSERV_LIB$ac_delim
+SUPPSERV_INCLUDE!$SUPPSERV_INCLUDE$ac_delim
 SUPPSERV_DIR!$SUPPSERV_DIR$ac_delim
 PBX_SUPPSERV!$PBX_SUPPSERV$ac_delim
 OPENSSL_LIB!$OPENSSL_LIB$ac_delim
@@ -50913,6 +52019,10 @@ TONEZONE_LIB!$TONEZONE_LIB$ac_delim
 TONEZONE_INCLUDE!$TONEZONE_INCLUDE$ac_delim
 TONEZONE_DIR!$TONEZONE_DIR$ac_delim
 PBX_TONEZONE!$PBX_TONEZONE$ac_delim
+UNIXODBC_LIB!$UNIXODBC_LIB$ac_delim
+UNIXODBC_INCLUDE!$UNIXODBC_INCLUDE$ac_delim
+UNIXODBC_DIR!$UNIXODBC_DIR$ac_delim
+PBX_UNIXODBC!$PBX_UNIXODBC$ac_delim
 USB_LIB!$USB_LIB$ac_delim
 USB_INCLUDE!$USB_INCLUDE$ac_delim
 USB_DIR!$USB_DIR$ac_delim
@@ -50947,9 +52057,11 @@ AST_SHADOW_WARNINGS!$AST_SHADOW_WARNINGS$ac_delim
 PBX_RTLD_NOLOAD!$PBX_RTLD_NOLOAD$ac_delim
 PBX_IP_MTU_DISCOVER!$PBX_IP_MTU_DISCOVER$ac_delim
 GSM_INTERNAL!$GSM_INTERNAL$ac_delim
+CONFIG_LIBXML2!$CONFIG_LIBXML2$ac_delim
 PBX_MISDN_FAC_RESULT!$PBX_MISDN_FAC_RESULT$ac_delim
 PBX_MISDN_FAC_ERROR!$PBX_MISDN_FAC_ERROR$ac_delim
 CONFIG_NETSNMP!$CONFIG_NETSNMP$ac_delim
+PBX_ODBC!$PBX_ODBC$ac_delim
 PG_CONFIG!$PG_CONFIG$ac_delim
 PTLIB_CONFIG!$PTLIB_CONFIG$ac_delim
 PWLIBDIR!$PWLIBDIR$ac_delim
@@ -50976,7 +52088,7 @@ CURL_CONFIG!$CURL_CONFIG$ac_delim
 LTLIBOBJS!$LTLIBOBJS$ac_delim
 _ACEOF
 
-  if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 83; then
+  if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 94; then
     break
   elif $ac_last_try; then
     { { echo "$as_me:$LINENO: error: could not make $CONFIG_STATUS" >&5